Acknowledgements

I would like to acknowledge the help of people from all over the world who have downloaded and tested this program, and made many suggestions for improvements. Without your help WXtrack would be a lesser entity.

The French language Help file was provided by Jean-Louis Fenasse and may be downloaded from his Web site at:

The Spanish language Help file was provided by the late Ferran Alegret, and may be downloaded from his Web site at: http://www.qsl.net/ea3dlv.

The detailed updates of island and lake data for the Countries.dat file were provided by Roger Hedin.

Peter, ON1CIM, wrote the KCT Server add-on. You can get the software directly from him.

E-mail: on1cim@easynet.be

David Bate (davebate@scannerdesk.com) suggested the MET (mission elapsed time) display and provided most of the entries for the TLEnotes.txt file.

Many routines were modified from Dr TS Kelso's invaluable SGP4 routines, used with permission, which are:

Copyright (c) 1991-1999, Dr TS Kelso, All Rights Reserved

E-mail: tskelso@celestrak.com

Web site: http://www.celestrak.com

Dr TS Kelso's site at: http://www.celestrak.com/NORAD/elements/ provided the orbital elements, and is your source for up to the minute data.

The PNG support is from Edmund H Hand's interface to LPng.dll

E-mail: edhand@worldnet.att.net

The library LPng.dll is freeware I believe, but the source is:

Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.

Copyright (c) 1996, 1997 Andreas Dilger

Copyright (c) 1998 Glenn Randers-Pehrson

TVersionInfoResource is from Brad Stowers

http://www.pobox.com/~bstowers/delphi/

Copyright bstowers@pobox.com (CompuServe 72733,3374)


Background

In the early days of my interest in weather satellites, I was not familiar with the sorts of images that might be obtained from satellites, and it was the depths of winter so the amount of daylight information was minimal - hence the need for a ground track prediction program. There was also the problem that whilst information was readily available for the NOAA satellites, there is a great scarcity of information on Meteor and Resurs satellites, not to mention less frequent visitors like Okean and Sich. I started out using the WinOrbit program, which is an excellent piece of freeware, but I didn't like its multiple window arrangement. I could find no software that did ground track prediction.

My starting point was the Turbo Pascal software that Dr T S Kelso (at: http://www.celestrak.com) chose to make available. Once I had understood this, and reproduced the test cases correctly, I was able to extend the software into the more object-oriented model used by Borland's Delphi, and predict orbits. It took a little more maths to predict the ground track of the sensor in the satellite - think of it as a broom sweeping across the ground.

The final step was to display the ground track in a meaningful way. Fortunately, I knew that there was a database on the Web giving the height all over the world at 5 minute intervals - not too dissimilar to the satellite resolution. Once I had worked out the maths, I combined the ground sweep with another program I had written to produce what looks like a map page tailored to the exact co-ordinates sweep out by a satellite during its pass. The final problem to solve before distributing the program was how to distribute the topography database. It is 18MB uncompressed, 11MB as a Zip file. Even if I gave the URL, I know this size of download would put people off. So I decided that since absolute accuracy wasn't essential, I could simply distribute the database as a large image, which could be compressed into a JPEG for distribution. By choosing carefully, I created a high-resolution and low-resolution map that occupies only 98KB and 34Kb respectively. These images are 1800 x 900, and 900 x 450 pixels in size.

For registered users, there are now a number of background options, including the ability to have an alternative background, and to have the background regularly updated from an external source.


FAQs

Q: Why are there no satellites in the Available satellites list box?

A: Either you have wrongly specified the location of the satellite orbital element files, or there are no files matching the extensions "tle" or "2li" that contain two-line data in that folder.

Q: Why doesn't a satellite image load?

A: The images must be named according to the WXsat convention - MMDDhhmm.bmp or whatever. For example, without a pass selected, the program might start up with the date 26th February 1999 at 1327 in the "When" box on the "Ground Path" tab. It would therefore look for files named 02261327.jpg. When using the "Timeframe from File" option on the World Map page, loading a file merely sets the date and time for the satellite display. More information on file names and locations.

Q: Can the program display using my local time zone?

A: No, the program only displays UTC. Please ensure that your Windows, Control Panel settings are correct to reflect your actual time zone, and state of daylight saving time. If you wish to use, for example, WXSat to record wave files, and wish to have those named with correct UTC times, please see here.

Q: Why do I have no background to the World Map?

A: You may have used an older version of an unzip utility that could not handle the long file names for the image maps. Ensure that the file SmallUserMap.jpg is present and correctly named in the same folder as WXtrack.exe. You can also use the names UserMap.bmp, UserMap.jpg and LargeUserMap.jpg. Download these from the Web site. There was an error in version 2.6.2 that prevented new users from getting a background map.

Q: Why are no satellites displayed on the World Map?

A: You haven't selected any from the available satellite list. More information on the Setup Tab.

Q: Why are there lines across the display in Azimuthal Equidistant projection.

A: With some display drivers, you may need to turn down the graphics acceleration to avoid lines being drawn where a footprint or grid line crosses from top to bottom or left to right on the display. This appears to be rather graphics board and driver dependant, and you might wish to check that your display drivers are up-to-date. Graphics acceleration is found by right-clicking My Computer, and selecting the performance tab.

Q: I downloaded the 11MB data file but the World Map looks no different.

A: The ETOPO5 file is only used for ground path prediction where the higher resolution helps, not for the world map background.

Q: I downloaded the 11MB data file, but my ground path predictions are no different.

A: You forgot to rename the expanded data file to etopo5.elev.

Q: Why does the elevation drop quite suddenly by about half a degree at the end of a pass?

A: The program allows for atmospheric refraction, which makes the satellite appear higher than it actually is. Once the apparent elevation of the satellite goes below zero, it is not appropriate to apply the refraction term. Thus you will not see apparent elevations in the range 0 to -0.5 degrees.

Q: How do I use multiple locations?

A: On the Setup tab, you can select from multiple locations using the Choose location drop-down list. The Edit locations button gives access to a small dialog box that enables you to alter the height and other details for a location, or to add a new location. Note that the location name cannot contain a space. You can also use different horizon profiles for each location by adding the location name as a prefix, e.g. EdinburghHorizon.dat.

Q: Why does the AOS for a satellite say n/a?

A: Either there are no more passes today, or you added a satellite but didn't force regeneration of the pass list. Press the "Make pass list" button. You may also have run off the end of the pass list if you are near midnight UTC.

Q: Why don't the ISS options work?

A: You need to select the ZARYA module of the ISS which is catalogue number 25544 for the ISS to be correctly detected. This is the module normally used, so no special action should be required. You may also need to ensure that the line style you have selected for Radio Horizons is visible!

Q: I clicked the World Map tab from the Setup tab, but my selected satellite pass isn't set as the manual time.

A: You should click the Map from pass button, simply clicking on the World Map tab isn't enough.

Q: I clicked the Ground Path tab from the Setup tab, but my selected satellite pass isn't detailed.

A: You should click the Picture from pass button, simply clicking on the Ground Path tab isn't enough.

Q: I clicked the Ground Path tab from the World Map tab, but my selected satellite pass isn't detailed.

A: You should click the Make Picture button, simply clicking on the Ground Path tab isn't enough.

Q: How do I see local time on the map?

A: If information is available from Windows, the hint of the date and time boxes at the bottom of the Map tab will show the local time. Hold the mouse over the date or time control, and the last date and time will be shown briefly.

Q: I'm running Windows 98, and unchecking the Daylight Saving option seems to make no difference.

A: Download and try the Time Zone Editor from the Microsoft Windows Kernel Toys.

Q: Why do the overlay grid lines appear bent, rather than smooth curves?

A: This is not an error. The overlay mimics the interpolation process in the NOAA satellites which converts the high-resolution sensor data down to the APT transmission standard. This interpolation process fits a number of line segments to a curve, and where two line segments meet, there is a sudden slope change. Applying the process to latitude and longitude lines produces the discontinuities you observe. The artifacts produced by applying the process to the irregular country boundaries are much more difficult to see.

Q: What is the wavy line covering the majority of the map?

A: The terminator between day and night. This will vary in shape between spring, summer, autumn and winter, being more sinusoidal in summer and winter, but more square-wave in spring and autumn when the sunrise and sunset occur at similar times in all latitudes. Turn on the Options, Show night time shading for a more realistic display of day/night illumination.

Q: Why do I get no overlay files?

A: Perhaps you don't have the Options, Save pass details and Options, Show overlay settings checked?

Q: Why can I not get the satellite frequencies?

A: The file TLEnotes.txt must be in the same folder as the other Kepler data.

Q: What is the large yellow blob?

A: The sun


Installation

Extract all files from the Zip file to a location of you choice, and run WXtrack.exe. The files included in the archive are:

WXtrack.exe the main program

WXtrack.hlp the help file

WXtrack.cnt the help contents

UserMap.jpg 1800 x 900 pixel world map with hill shading

ReadMe.txt read-me file

noaa.txt some 2-line orbital files

resource.txt "

stations.txt "

weather.txt "

_City.txt sample city data, rename to City.txt to activate

The following optional files change very infrequently, so to make the main download quicker, I am supplying them separately.

LargeUserMap.jpg - 1800 x 900 pixel world map

- in www.satsignal.eu  --> Satellite Tools, WXtrack

UserMap.jpg - 1800 x 900 pixel world map with hill shading

- in www.satsignal.eu  --> Satellite Tools, WXtrack

Countries.dat - Country boundary data

- in www.satsignal.eu  --> Satellite Tools, WXtrack

etopo5.elev - Topographic data

- in www.geol.binghamton.edu/faculty/jones/etopo5.zip

The program may require additional libraries that are not already installed on your system, although they should be if you have already downloaded an earlier version of WXtrack. If you are impatient, please at least read the about the Setup tab, which will be your first screen.

Spanish language help file

If you wish a Spanish language help file, please see Ferran Alegret's Web site at: www.qsl.net/ea3dlv. I am very grateful to Ferran for making this available as his time permits.


Introduction

WXtrack is designed to predict the tracks of weather satellites both as paths above the earth, and as images produced by these satellites when scanning the ground. It was designed for use during the early stages of my satellite receiving activities, when clouds and interference prevented easy identification of what I was actually observing!

It can read processed satellite images from one or more folders of your choice, and present these images side-by-side with the ground track prediction. To make visual correlation easier, minute markers are produced on the predicted image to match those on NOAA APT transmissions. WXtrack can generate overlay files to allow an image processing program or SatSignal to add country boundaries and grid lines to existing satellite images. You can register WXtrack here if you wish to say "thank you" or require technical support. There are extra facilities in the registered version.

Program status and distribution

Installation

Background

Requirements

Program libraries

World map data

Country & State data

City data

Satellite images

File names & locations

Limitations

Registration

Using WXtrack

Setup tab

World map tab

Ground path tab

Flight tab

Batch operation

Using Overlays

Satellite data

Using GroundMap

Menus

File menu

Options Menu

View Menu

Tracker menu

Tools menu

Help Menu

Controls

FAQs

Revision History

Acknowledgements

Author: David J Taylor, GM8ARV, Edinburgh

Web site: www.satsignal.eu

E-mail: davidtaylor@writeme.com


Status and Distribution

This program is freeware, and remains copyright of David J Taylor, Edinburgh, 1999-2005. This program is provided "as is", without any support. Whilst I cannot answer queries relating to the use of this program, I'd value any comments or suggestions for improvements you may have. If you report a problem, be sure to include the program version number (from the Help, About command), and the details of the operating system you are using.

There is a software self-help group at: http://groups.yahoo.com/group/SatSignal/ to which any queries by non-registered users should be directed.

If you like the program, and wish to encourage me to develop it further, you could make a contribution by registering WXtrack. For amateur users, this is completely optional, and is simply another way of saying "Thank You". For details of registering, please see www.satsignal.eu => Software, Register, WXtrack. Registration is required for technical support, and to access some of the more advanced facilities.

Commercial use

The WXtrack program may be used for personal or educational, non-commercial purposes free of charge. Use by any commercial organisation, or any individual for commercial purposes requires the purchase of a commercial licence from David Taylor, Edinburgh.

This program may not be distributed in any form without the author's express consent.


Quick start

We all like to get started as quickly as possible, but as a minimum, I suggest that you read the Installation and Setup tab sections of this help file.

The program has four tabs, Setup, World Map, Ground Path and Flight. It normally starts on the World Map, but note that you will need to visit the setup screen when you first run the program, and drag and drop your choice of satellites from the Available to the Active list box.


Registration

The standard version of WXtrack is free of charge for amateur and educational use, but you must register if:

  • you use the program commercially
  • you make a profit from using the program
  • you wish technical support from me
  • you wish to access the advanced facilities

You can also register if you wish to say: "Thank you" for the program. You can register WXtrack here.

Extra Facilities in the Registered Version

The registered version offers a range of extra facilities designed both to make the program easier to use for regular users, and to extend the facilities offered.

  • Command-line mode options are enabled
  • A screen-lock function is available, to prevent accidental changes of satellite or ground station.
  • The details of the location indicated by the mouse co-ordinates are shown - latitude and longitude, range and bearing from the home location, satellite azimuth and elevation from the cursor location.
  • User-defined ground stations may be displayed, and quickly switched with a mouse click on the World View tab.
  • A Satellite Summary form is available by right-clicking the World Map display
  • You can save a screen snapshot of the world display after every update
  • You can display some times in local time rather than UTC
  • The scan parameters for individual satellites can be altered
  • Details about the selected pass are available as hints on the Setup tab
  • You can rename a wave file to match a selected pass using Shift-Click on the "Map from pass" button (on the Setup tab). You would want to do this if you recorded passes on an external recorder, and the file names do not match the pass times.
  • Kepler data can be saved and printed.
  • Kepler data can be reloaded automatically for continuous unattended operation.
  • You can control the step time for displaying Pass Details on the View, Ephemeris dialog.
  • Radio control is possible with the WiSP DDE tracker interface software.
  • UNI_TRAC can select radio mode based on AO-40 mean anomaly value
  • HRPT channel selection is possible with the Götz Romahn/Bob Barnes CX6DD interface variant.
  • The Tracker Parking option is enabled.
  • The Tracker Test command is considerably enhanced by adding manual positioning, RA/Dec, and Clarke Belt tabs. This allows full manual control over the positioning of an antenna at specific azimuth/elevation or RA/Dec co-ordinates, checking of flip-mode etc. The operations have been developed in conjunction with people who are commissioning antennas for satellite tracking operations. The Clarke Belt function gives quick access to the pointing angles for any geostationary satellite defined by its location along the Clarke Belt.
  • The Large Text tracker option can be customised in font and screen location.
  • For more accurate antenna tracking, WXtrack can be set to look ahead a number of seconds from the current position, thus compensating for any lag in positioning the antenna.
  • Satellites may be prioritised, and automatic switching between satellites is enabled.
  • You can restrict antenna tracking activity to just the passes in the pass list.
  • The GPS prediction capability is enabled.
  • The program will read you current location from a standard GPS source over a serial link (e.g. COM1). This is ideal for mobile users.
  • More information can be displayed, for example the Frequencies panel, and some ISS options.


Requirements

Program libraries

World map data

Satellite images

File names and locations

Limitations

A Pentium-class processor or better is required.

Windows XP support will br dropped after 2014-Apr-08.


Revision history

2019_Apr-22 V3.8.46.1071

Add passbox for Sentinel 3A in ScanOffsets.ini ..

.. treat as being in the "weather satellite" class

In View, Radar plot ..

.. improved layout

.. add Galileo satellites (you need the Keplers)

.. add count of navigation satellites visible

.. http://www.celestrak.com/NORAD/elements/galileo.txt

Provide hints in the Available list of satellite names

Use 10 GHz as default for geostationary Doppler calcs

Updates for GPS and Galileo satellites

Improve presentation of missing URL in Update Keplers

Restore SPID half-degree support

In Tracker Test form ..

.. add slower updates for geostationary satellites

.. add 0.5 degree offset tweak

Display downlink mode in tracker pass-box (temporary)

2016-Dec-12 V3.8.44.1060

Add Mercator projection

Eight satellite banks up from four

Show Kepler data on a larger form

Refine stale Kepler limits ..

.. "ignore" default 12 months

.. "stale" 30 days (polar), 65 days (geostationary)

Updated TLEnotes.txt ..

.. added sample file frequencies-va3dbj.ini

.. thanks to Dave Bate

2016-Oct-03 V3.8.42.1056

Display correct date for solar outage

2016-Aug-26 V3.8.40.1054

Handle background being deleted behind our back

Include "or out-of-date" in "No Keplers" message

Reduce minimum pass time from 30 to 5 seconds

Save tracker precision across invocations

Add SpectraVue support (testing) ..

.. enable SpectraVue in Tracker, Options

.. new dialog for setting non-Doppler VFO frequency

.. can get nominal frequency from Radio.ini

.. Doppler frequency sent to SV "Centre" frequency

.. attempts to set demod mode if it's changed

.. attempts to set mode once per pass

.. no AM, DSB, WUSB

.. CW upper => cw

.. CW lower => cw-n

.. USB => usb

.. LSB => lsb

.. NFM => fm-n

.. WBFM => fm-w

.. FM => fm

Add continuous DDE feed ..

.. Server: WXtrack

.. Topic: ContinuousTrack

.. Item: ContinuousTracking

.. satellite name will not contain spaces

Add continuous DDE feed for ISS ..

.. Server: WXtrack

.. Topic: ContinuousTrack

.. Item: ContinuousTracking2

.. Many extra items

.. U00 D0137912500 UP0 DN137915083 RG:7185 AZ046 EL-026 SNNOAA-18

.. satellite name will not contain spaces

2015-Dec-10 V3.8.38.1036

Make signal level display easier to read

Add option to make DDE string upper-case ..

.. in the Tracker, Options, General dialog

.. may be required for the DDE link to SDR#

2015-Sep-29 V3.8.36.1032

Add support for KVH tracker with a 350 msec gap between Az and El commands

2015-Aug-09 V3.8.34.1028

Tracker ..

.. add option to always have DDE data available

.. add frequencies to the EasyComm I tracker commands

.. update WiSPDDE URL in the Help

Solar outage form ..

.. update About... information

.. make default frequency 11263 MHz

Optically visible form ..

.. correct wrong quadrants when local time specified

Skip check of Keplers for selected satellites ..

.. NORAD numbers listed in: IgnoreNORADnumbers.ini

Recognise "METEOR M" series as weather satellites

In sunrise/sunset table, auto-scroll to today's data

In solar noon, auto-scroll to today's data

Improved display of Kepler data on Win-7 & later

2014-Dec-31 V3.8.32.1019

Allow control of dual-view status panel window

2014-Nov-02 V3.8.30.1017

Add option not to send Doppler corrections ..

.. for receivers with AFC in hardware or software

Add right-click status bar option ..

.. to show or hide Moon range and rate in the status bar

2014-Apr-05 V3.8.28.1014

Update Park Tracker for DDE-connected trackers

Add seconds to UTC display

Add beta to ISS panel display

Neaten ISS orbit display ..

.. approximately three orbits from the ascending node

More work on ISS orbit numbers ..

.. display actual number at at start of orbit time

.. use orbit number in day for ISS panel display

Updated GPS list for PRNs 01 24 27 and 30

In Tracker, Test ...

.. add response in hex as hint to the response box

Remove debug message in SPID tracker

Last Windows XP/Vista supported version. Although future versions will likely run on XP,

they will not be supported as I won't have an XP smachine available for testing.

2013-Dec-27 V3.8.26.1000

ISS updates ..

.. add pass number ins day

.. font and colour set from ISS options dialog

.. terminate ISS Russian station names with an "R"

.. apply TDRS colour for T174W

.. use period as decimal separator in panel

.. ground path changed to -0.5/+2.5 orbits

.. option for altitude units display

Start support for Combi-Track rotator controller ..

.. assumes azimuth is on unit A

.. elevation on unit B

.. only G (go to) commands are issued

Allow antenna azimuth offset from -60° up to +240°

Add "intense" choice for night-time shading, with line

Restore Options, Satellite font... in registered version

2013-Jul-27 - V3.8.24.989

Double-click on pass list has two functions ..

.. double-click alone goes to World Map tab

.. control double-click goes to Ground Path tab

Popup hint on pass-list shows these options

Make omit stale data in months, not years ..

.. in View, Satellite orbit (Kepler) data

.. maximum is now 1200 months (it was 100 years)

.. you might need to check your setting

2013-Apr-15 - V3.8.22.985

Add tracker elevation limit (registered)

In visible pass prediction, add compass direction ..

.. at "Appear" and "Disappear" times (registered)

Grey out Save Snapshot if not registered

Update APT frequencies

Relax tolerance for geostationary in tracker test

Replace "nm" with "nmi" for nautical mile (international)

Replace satellite status hint in UK miles with nautical

Restore "Radio" tab in Tracker, Options

2012-May-17 - V3.8.20.975

Honour +3 orbits ground track display request

Restore Next Pass displays in manual mode

Trap errors when radio link modes not set

Correct southern hemisphere moon phase display

2012-Feb-01 - V3.8.18.970

More information on Tracker Status pop-up hint ..

.. for WiSPDDE - up & downlink frequencies & modes

When user changes radio modes, with WiSPDDE ..

.. stop tracking for 4 seconds, which allows WiSPDDE to

.. poll, see no satellite, & then pick up the new modes

.. an hour-glass is displayed while this happens

2011-Dec-14 - V3.8.16.966

Add Options, Units menu ..

.. default is the Windows Control Panel measurement value

.. registered version can change the WXtrack default

.. the ISS panel honours units setting

2011-Jul-26 - V3.8.14.963

Add Tracker, Test, Clarke Belt function

Add screen lock/unlock button (registered)

Add maximum elevation for optically visible passes

More ISS control options ..

.. control of "GMT" label font

.. control of red equator line setting

Skip warning about stale STS Kepler data

Update one new GPS PRN number

2011 Jan 29 - V3.8.12.953

Improved message if tracker serial port doesn't exist

In Tracker Options form ..

.. ensure Server Labjack path Hint shows initially

In Tracker Test form ..

.. allow for seconds back as well as ahead

.. stop multiple triggers of auto-track

.. show response from GS232 tracker (e.g. LVB tracker)

.. send "C2<cr>", read 12 characters with 300ms timeout

Right-click main tabs to show/hide Ground Path & Flight

Add Park Antenna to right-click World Map menu ..

.. use standard "park antenna" routine

2010 Aug 08 - V3.8.10.940

Allow <sat-name>=- in ISS, TDRS options, hides name ..

.. use a single minus sign to the right of the "="

.. e.g. HST=-

Echo Show Second Station box status in map control bar right-click pop-up menu

Tweak height of Frequencies display in map control bar

Restore read location from GPS function possibly broken in V3.8.2

2010 May 23 - V3.8.8.936

Layout tweaks for Windows Vista and Windows-7

Trap error where second station is not yet defined

2010 May 02 - V3.8.6.934

ISS enhancements ..

.. 1-column or 2-column blackboard display

.. optional TDRSS colours, colours are fixed

.. additional 1.5 + 1.5 orbits ground path

.. you can right-click blackboard for ISS options

.. more control over blackboard font

.. make GMT text font same as blackboard font ..

.. but still allow colour choice

.. Tools, ISS Weather option for STS landing days

Add experimental "full-screen" display for the World Map tab ..

.. F11 key toggles, or right-click pop-up menu

Read multiple notes files: TLEnotes*.txt

Add second station real-time visibility ..

.. right-click the panels below the World Map to enable

.. registered version required

Improved night-time shading near the equinox

Render background map longitides as 90E rather than 270W

Allow country boundaries in Plate-Carree mode

2010 Feb 05 - V3.8.4.920

Add Frequencies display panel (registered version) ..

.. data is in a text file frequencies.ini

.. file should live in the WXtrack.exe directory

.. sample frequencies.ini file included

.. may need to run WXtrack maximised to see the panel

Add Kepler data display as hint to satellite selector

Add user-choice satellites to View, GPS prediction

Add View, Solar noon option ..

.. rather new and untested, please check results!

Add IT9SLJ "text tracker" output ..

.. enable on Tracker, Options

.. data is saved in the Result directory

.. the file name is: IT9SLJ.txt

.. contains Sun, Moon and primary satelite az & el

.. file is updated every 30 seconds (at most)

.. test - file is updated every cycle

Add ISS information panel ..

.. Options, ISS/Shuttle..., TDRS rename option added

.. using TDRS rename places label below satellite

.. can hide ISS, PROGRESS, SOYUZ & STS labels

.. just display your own icon instead

.. Options, ISS/Shuttle..., Other controls "blackboard"

.. enabling blackboard alters other display features

.. changes the Equator colour to Red

.. provides more lat/lon lines, text in line colour

.. adds UTC display at top-centre of the display

.. can choose colur and "latitude" of this display

.. adds "brackets" around the night-time period

.. add D/N (time to start or end of next eclipse)

Provide control of min elevation in Ephemeris prediction ..

.. cannot set below station required elevation

.. actual minimum elevation used is reported

Add right-click option to map controls panel ..

.. allows user to select which are shown

Remove text transparency with Bold satellite fonts

Stop jumping labels when Show|Past position markers unchecked

Stop access violation at startup

2009 Sep 10 - V3.8.2.893

Add Options, Show, Sun & Moon, Moon overlays Sun choice

Merge large-text options with World Map popup menu

Reduce flicker on World Map and Flight tab updates

Compile with Delphi 2009

2009 May 29 - V3.7.6.886

High precision option for tracker text-mode ..

.. right-click the text to set the options

2009 Apr 15 - V3.7.4.884

Extend background day/night shading options

User ground-station enhancements: registered version ..

.. user list is in GroundStations.ini

.. display user ground stations in bold

.. add [Black], [White] and [Yellow] sections

.. hide ground-station capture area display for geostationary sats

.. GroundStations.ini lives in the WXtrack.exe directory

.. stations from the user list are added to the location list

.. if ground-station symbol is clicked, switch location

.. or View|Choose ground station menu switches location

Require a closer mouse click to select a satellite

Handle bad orbit data more gracefully

2009 Jan 11 - V3.7.2.876

Add Mars to tracker pointing

Add another bank, making four in total ..

.. shortcut Ctrl+4 selects bank 4 (registered version)

Only flip tracker if it has 180 degree elevation range

2008 Nov 08 V3.7.0.872

Change day/night shading options ..

.. increase to four levels None/weak/medium/strong

.. strong displays an additional terminator line

.. terminator line style set by Options, Line style..., Sun

Update Google Earth option ..

.. to work in "," decimal separator locales

.. with a height limit of 7000km instead of 3000km

Add keyboard shortcuts ..

.. Ctrl+1, Ctrl+2, Ctrl+3: selects bank 1 2 or 3

.. Ctrl+P: selects the next map projection

.. requires registered version

EGIS tracker - allow for optional prefix characters

Add option to park antenna when auto-switch happens

In View, Solar outage, add list of azimuth crossing times

Add View, Moonrise/Moonset times menu item

Add right-click Point at Satellite menu (registered version)

Rename "Point at [country]" as "Beam to [country]"

Honour local/UTC setting in View/Ephemeris/Pass Details

Work round other software deleting the cached background

Allow more than one digit with negative pass list days (batch)

Improve behaviour on dual-monitor displays

Silently skip Kepler updates if "redirected" returned from Web site

Report on Kepler data updated or skipped

2008 Feb 22 V3.6.8.853

Slow down commands sent to CX6DD tracker (for LVB tracker)

2007 Sep 23 V3.6.6.851

Add choice of satellite font face, style and size (registered version)

Existing Font menu item renamed to Text font

Revise period requirement for recognising a satellite as "geostationary" ..

.. now includes those in "graveyard" orbit

Correct error in scroll box height on Ground Path tab.

2007 Mar 01 V3.6.4.848

Move to HTML Help for improved Windows Vista compatibility

Warn if running directly from the Desktop

Restore Tracker, Options, General as the default tab

2006 Dec 30 V3.6.2.844

Correct fault in tracker setup form radio selection items (introduced in V3.6.0)

2006 Dec 16 V3.6.0.842

Add support for ServerLabjack tracker ..

.. the server file name is ServerLabjack.exe

.. Use Options, Tracker, Tracker-specific to locate server

.. server does not need to be located in the WXtrack folder

.. WXtrack will close down the server program when it exits

.. you will need SatIni.SQF and Flip.SQF in your WXtrack folder

.. see: Help, Index, ServerLabjack

.. please start ServerLabjack before WXtrack

Add MetOp-A support

.. can drag a MetOp file name and see the position

Add option to change the DDE radio frequency ..

.. when the Auto-switch option is enabled

.. requires you to list the names & frequencies in Radio.ini

.. allow names like NOAA 17 [+] in radio.ini as NOAA 17 {+}

.. be aware that with WiSP-DDE

.. spaces are not allowed in satellite names

.. spaces will be substituted with "-"

.. will change radio modes as well

Read GroundStations.ini correctly in European Windows regions

Improved pass-box appearance (registered version)

2006 Oct 06 V3.5.8.826

Add support for WinRotor tracker

Add font-size option

Refine location of Palermo, Sicily

Rename Spitsbergen as Svalbard

Background image enhancements for registered users ..

.. Options, Background image menu item added

.. option for immediate refresh

.. automated update of background if file timestamp changes

.. timestamp check interval can be set from 1 to 60 minutes

.. or checks can be disabled

.. background redrawn shortly after form resize

Alternate background available for registered users ..

.. the program can have a second background

.. the name must be AlternateUserMap.jpg

.. toggled with the Options|Background|Alternate/Standard menu

.. suggesting using AlternateUserMap.jpg as the fixed background ..

.. and UserMap.jpg as the updated background

.. the Alternate image may be cached between runs

Start Google Earth support for registered users ..

.. use the Tools, Goggle Earth menu

.. Options, Google Earth menu allows control ..

.. of camera height and view update interval

.. will be up to 10 seconds delay in response

.. requires that KML files are associated with Google Earth

.. will require Web server port 8008 free on your PC

Remember size and position between runs

Tidy up some form positions for multi-monitor operation

2006 May 31 3.5.6

Add support for SPID native mode tracker

Add EUMETSAT ground stations to preset list

Add Valencia, Spain to known cities and preset location list

Enhance pass selection with all/daylight/night-time choice

Make Large Text tracker caption optionally ..

.. transparent to allow world map to show through

.. adjustable in location

.. adjustable font

.. activated by right-click in registered version

Make geostationary satellites display vertical text labels

Add control of past-position display markers

Ensure R2FX works correctly

2006 Feb 16 3.5.4

Add support for R2FX receiver ..

.. Tracker.ini contains optional channel override strings

When waking up tracker, set it to 1 degree elevation, not zero

Add option to track only passes which are in the pass list

Add automatic daily Kepler reload option ..

.. you need to update the Kepler data as well!

.. for latest run time, check the hint on "Path to satellite"

.. registered version required

2005 Nov 05 3.5.2

Add user-specified ground stations and caption..

.. see sample GroundStations.ini for documentation

.. allow any length for abbreviated name

Allow number of decimal digits in EasyComm I tracker to be controlled

Add option to override or add channel prefix..

.. for Bob Barnes CX6DD variant

.. uses new file Tracker.ini, see that file for details

Ensure tracker is pointing at AOS azimuth after wakeup

Add option to generate screen snapshot at every update ..

.. save screen snapshot.bmp to results folder

Add right-click to Next Pass panel for UTC or Local time

Require registration to:

.. generate screen snapshot mentioned above

.. close automatically after generating predicted pass

.. alter UTC/local for Next Pass display

Correct ownership of Hong Kong to (China)

2005 May 23 3.5.0

Restore GPS functions with new Space-Track Kepler names

Allow COM port numbers up to 8

Enhanced ISS station name display ..

.. use the same colour as their radio horizon

.. use bold font if thickness greater than 1

Make Tracker Options box centred on main program screen

Try and trap a floating-point overflow in Tracker, Point dialog

Arrange Options, Show menu into alphabetical order

Left-click on World Map selects satellite even if location popup is hidden

Right-click on World Map Tab now gives multiple choices ..

.. show next available pass

.. point antenna at map location (for HF operators)

.. show or hide satellite summary box

Add pass filtering by maximum elevation (registered)

For French users (French language chosen) ..

.. use Wxtrack-fr.hlp French help file if available

Revise option for choosing the map centre longitude

Add UTC times option for sunrise-sunset display

Add option to ignore atmospheric refraction

Initial support for NOAA-18, including Bob Barnes channel control

Remove warning about end of CelesTrak Kepler data

Correct degree symbol display for Japanese Windows

Correct ISS station at Guam from 145W to 145E

2005 Feb 16 3.4.8

Add pseudo-scan parameters for GPS satellites ..

.. approximated as 20 scans per second of 3 degrees width

Provide Ephemeris "in the next N hours" prediction function (registered)

Provide link to KeplerManager (registered)

More hint information on pass-date calendar control ..

.. day name, year-month-day, day number of year (registered)

Add warning about end of CelesTrak Kepler data

Trap error when using non-scanning satellite on the Flight tab

Restore 5-point scanline broken in V3.4.6

2004 Nov 17 3.4.6

Increase satellite name field length by one in Ephemeris form

Correct reading of Radio Horizon data, and allow for 60 degree elevation

Allow "," "." and local character as separator in Radio Horizon data

Support -passlist:-2 parameter generating yesterday's passes

Read ScanOffsets.ini for satellite scan offsets [Registered]

Correct List index out of bounds error when Keplers not received

Includes FengYun-2C Kepler data

2004 Jun 12 3.4.4

Add more CX6DD prefix string options ..

.. substitutions: %D => direction (N/S), %N => cat. number, %S => sat. name, %T => UTC

Add CX6DD channel suffix string ..

.. no parameter substitution available

.. string may be sent twice at end of pass

Allow date-line centred as east as 70W.

Improved Linux/Wine support

Increase maximum pass duration limit to 1020 seconds

Send out EasyComm XY mode data to one decimal place precision

Allow tracker parking elevation to as high as 110 degrees (for offset dishes)

Honour WiSPDDE's parking (SN=NO SATELLITE when not tracking)

Add "Daylight only" pass prediction option

Add "Daylight only" option to Ephemeris form

Make UTC/local choice separate on Ephemeris and View Mutual forms

Make Ephemeris form show normally, rather than modally

Add information button to Solar Outage form

2004 Mar 24 3.4.2

Add latitude-crossings list to View, Ephemeris

Allow dish size up to 800 cm in Solar Outage form

Protect against corrupt cached background bitmaps

Change save file name in View Optical to OpticVisible.txt

Add ability to read satellite icon files, e.g. #27509.ico

Add ability to read STSPlus icon files, e.g. #25544.icn

Add current pass maximum elevation as hint to next pass box

Correct auto-switch not working

Update UTC/local time hint on right-click Satellite Summary form

Add column headers to Pass Details tab on the Ephemeris form

Make pass details format more like fixed tables

Add Day Number as hint to the Setup, Pass selection calendar (registered)

2003 Sep 24 3.4.0

Allow time/data setting on Radar plot

Provide extended GPS reporting on Radar plot

Provide quadrant selection on the GPS plot

Provide enhanced user-defined radio TX/RX control ..

.. requires file Radio.ini in Keplers folder

Add support for TRX-Manager within WiSPDDE tracker

.. include range rate in tracker info from Tracker Test dialog

Add Solar Outage list for geostationary satellites

Allow for countries with no Daylight Savings time

Correct time-to-next-pass when switching back from manual mode

Don't predict passes for geostationary satellites

2003 Apr 28 3.3.8

Add "Radar" view form .. for GPS support requires...

.. http://www.celestrak.com/NORAD/elements/gps-ops.txt

Increase allowed tracker elevation and azimuth offsets

Add Tools menu for quicker SatBatch invocation

Support UNI_TRAC tracking system (through WiSPDDE software interface)

Add Function vs. MA table for UNI_TRAC (see: Tracker, Options, Radio)

Show MA in status bar hint (0..255)

Support reading of TBUS .ASC files as well as .TXT

Support frequencies above 2GHz with WiSPDDE tracker

Correct pop-up display when next pass more than a day ahead

Correct switch from manual to realtime loosing next AOS info

2003 Feb 04 3.3.6

Use revised code for highly eccentric orbit prediction (e.g. AO-40)

Allow adjustment of lookback offset threshold (normally 90)

Add post-pass resting channel to Götz Romahn/Bob Barnes CX6DD tracker variant

Minimise need to use look-ahead orbit prediction

2003 Jan 13 3.3.4

Reorganise Options, Show menu to reduce clutter

Add "show footprint except geostationary" option

Add satellite summary form (right-click on main display)

Show nearest city on mouse-move hint and satellite summary

Make mouse-move hint optional

Show Mean Anomaly on satellite summary (in degrees and 0..255)

Add world-wide city database

Roll-over date when hours alone changed on main display

Add choice of ground track orbits (+/-0.5, +1, +3 or -1/+3)

In Ephemeris, Pass Details, centre times on pass maximum

Enhance mutual visibility function ..

.. allow control of pass elevation required at both stations

Add GPS prediction form

Support reading location info from $GPGGA GPS message

Add support for KctServer tracker from ON1CIM

Start support for M2 RC2800 tracker (not complete)

Start support for EGIS tracker (not complete)

Allow 180 degrees Azimuth Offset on all trackers

Add elevation offset for tracker when looking back (el > 90)

In Tracker, Test dialog ..

.. make stop command optional

.. allow look-ahead adjustment

Support Chinese & Japanese MBCS degree symbol (CP 932, 936 and 950)

Use priority when looking for next satellite to track

When using Auto-switch, don't track just because satellite is visible

Provide location name for other programs to use

Add Kepler re-load from file (on Options, Update Keplers...)

Add end-of-pass batch command option

Add tracker gain controls (KCT tracker only) ..

.. you will need to re-enter tracker elevation offset and parking location

Park at correct location when magnetic deviation or offsets specified

Trap passes being tracked for too long

Correct missing certain ISS passes

Correct error in location list on Setup tab

2002 Oct 13 3.3.2

Add detailed pass prediction to Ephemeris display

Add save and print of Satellite Kepler Data Summary

Add independant prioritisation of both north- and south-bound passes

Zero-priority satellite passes are not listed

Disable click-on-satellite when auto-switch is enabled

Show mouse position ..

.. latitude & longitude at cursor location

.. great-circle range & bearing from home location

.. satellite azimuth & elevation from cursor location

Add WiSP DDE tracker support

Allow Escape to cancel parking on exit

Add simulate flip-mode to Tracker Test dialog

Add "Click on next pass" to toggle next pass/tracker status text

Don't save blank overlay text lines

Add user name to Help, About form

Save location details for PassControl

Optionally, read location and time from GPS serial input..

.. uses NMEA $GPRMC sentence

Update TBUS decoder to treat satellite 37 as NOAA-17

Add channel-control prefix (CX6DD)

Add WiSP DDE Radio control

Add experimental XY-tracker (select EasyCom I)

Improve next-pass selection at end of day

2002 Aug 16 3.3.0

Rename menu Tracker, Setup to Tracker, Options

Rename menu Tracker, Point at object to Tracker, Test

In Tracker, Test... ..

.. add manual antenna positioning

.. add antenna offset tweaking adjustment, Z/X keys toggle zero

.. add RA/DEC control for radio astronomy

.. make the minimum auto-point interval 2 seconds

Add IF-100 tracker support

Add SSB/Orbit rotor code

Provide look-ahead for tracker positioning

Provide park-on-exit for tracker

Send tracker park-at-end-of-pass command twice, with timeout

Try to park within 6 deg az, 3 deg el with KCT tracker

Check with user if Close requested while tracking in progress

Don't use Open/Close sequence for KCT tracker during pass

Completely revise flip-mode determination code

Display distances in user-locale units ..

.. use kilometres or nautical miles for Metric/English

.. provide hint in miles or kilometres to complement

Add user-text option for overlay text

Add rename of file for pass (shift - Map from pass) ..

Show pass selection criteria on the Ephemeris display

Allow up to 25 degrees for required elevation (was 20)

Allow minimum pass duration to be as long as 900 seconds

Add satellite priority setting and pass-list filter

Add auto satellite switch to next available pass

Add click-on-pass to give details

Add right-click to Active Bank selection for list copy/export

Tweak NOAA-17 scan angle to 55.25

Accept satellite name NOAA17 as well as NOAA-17 & NOAA 17

Add FENGYUN 1C & 1D as weather satellites for pass-box display

Only do updates at half-rate if slow (< 500MHz) processor

In Update Keplers, provide improved error message ..

.. if non-standard filenames are used against Celestrak server

Correct display of passes more than 1 hour in duration

Correct solar mask display where image width was not even

2002 Jun 07 3.2.4

Improved Meteor 3-5 overlay accuracy

Add Jupiter and Saturn to Tracker, Point at object

Add auto-track object mode to Tracker, Point at object

Allow any baud rate on CX6DD, EasyComm and SeaTel trackers

Add Optically Visible pass and Mutually Visible pass functions

Add Day of Year to Ephemeris dialog

Honour Gridlines and Cartography changes immediately

Correct Ephemeris print/save buttons sometimes hiding

Trap errors when writing predicted data to results folder

2002 Apr 29 3.2.2

Add EasyComm tracker protocol support

Add FodTrack support

On Tracker, Point at object form, add double-click on ..

.. satellite in list box to select and point at object

Add run a command at the start of tracking, can replace ..

.. %S with satellite name

.. %N with NORAD catalogue number

.. %F with frequency (from TLEnotes.txt file)

Add antenna parking option at end of pass

Make tracker COM port number and baud rate accessible

Allow user to specify exclusive access to tracker

Move tracker positioning code outside slow AOS/LOS loop ..

.. just leaves tracker start/stop commands

Ensure tracker only accepts commands during "IsTracking" mode

Add early wake-up mode for tracker ..

.. should allow earlier flip-mode prediction

.. set between 0 and 3 minutes

Trap possible tracker elevation overflow

Close down EA4TX tracker cleanly

Add early-warning option, 12 minutes to AOS (uses 3 minute sound)

Add time to LOS (click "Make Picture" label)

Allow pass-box display on all projections

Add choice of night-time shading contrast

Add Precision Display option for more decimal digits

Add full Pass Details tab to Ephemeris display

Allow quality choice for saving predicted image

In the View, Satellite orbit data..

.. add separate age criterion for geostationary Kepler data

.. add view of Kepler data by clicking on satellite name

Allow Kepler download from FTP sites as well as HTTP

Add in-place update of Kepler data after Options, Update Keplers...

Accept "-nopasslist" as sole parameter..

.. inhibits automatic generation of passlist.txt file

.. but then runs as normal interactive program

.. still creates passlist.txt file when Make Pass List button pressed

Accept "-passlist:<N>" as sole parameter..

.. forces generation of N-day passlist.txt (up to 99 days)

.. closes program once the passlist file is made

2002 Jan 07 3.2.0

Include 4-digit year in PassList.txt (and use internally)

Add sunrise/sunset function, local time display

Ensure pass-box is shown when Map from Pass is pressed

Trap spurious line from country boundaries in AzEq mode

2001 Dec 18 3.1.4

Keep tracker running while WXtrack is minimised

Speed satellite ground sweep display

Allow "STS" (rather than "STS-") to recognise a space shuttle

Trap error when pass-list cannot be saved

2001 Dec 04 3.1.2

Choice of mid-pass longitude or azimuth display in Ephemeris ..

.. if azimuth chosen, also display azimuth at pass start and end

Add more elevation values to Ephemeris timeline display

Add optional frequency display to Ephemeris list

Show range in miles as Range pop-up hint

Increased resolution for azimuth display

Show maximum elevation of next but one pass

Add real-time UTC or local time clock..

.. enabled by clicking on "Picture from pass" label

Add frequency and note display in satellite Kepler list form

Add Point at object to tracker commands ..

.. shows commanded tracker position as hint on real position

Support CX6DD tracker over serial 4800 baud GS-232 interface

Add azimuth and elevation offsets for tracker

Add optional flip-at north or south for trackers

Honour tracker changes immediately

Note that tracker model numbers have changed internally,

so you will need to reselect your tracker type

Use more accurate method for location prediction in .LCN file

Allow more recent etopo5.dat from NOAA source, name irrelevant

Try to handle printers without the Courier New font....

Make pass box and push-broom more realistic for QuickBird

Add DTP demo mode

2001 Sep 13 3.1.0

Allow easier access to Edit Location dialog (click on bold name)

Add Guam (GWM) ISS/Shuttle ground station

Add large-text manual track display (enable with Options, Tracker...)

Optionally, read cities from City.txt in WXtrack.exe folder

Give more diagnostic information when SAA drop fails

Stop second SAA name drop reverting map to realtime

2001 Aug 19 3.0.4

Recognise "STS-" at start of satellite name as switch to ISS-mode

Add Colour picture list, as the default

Revise picture lists for current SatSignal naming standards

.. drops support for old "2" "V" "4" and "I" suffices

Remove case-sensitivity from satellite picture name match

Prevent double-click maximise from also selecting satellite by accident

2001 Aug 06 3.0.2

Add height in miles as a hint for panel altitude display

.. i.e. hover mouse over the Alt: display to see miles

Add MET (mission elapsed time) display

.. see TLEnotes.txt for details

Enhance readability of main form and ephemeris pass lists

Make frequency displays 3 decimal digits (i.e. KHz)

Add ability to accept dropped pass-name text from SAA listing

e.g. NSS.GHRR.NJ.D01206.S2210.E0003.B3385961.GC

Move bmp cache file ~BackgroundCache to Windows temp folder

2001 Jul 16 3.0.0

Support EA4TX ARS Antenna Rotator System (V1.5k and above)

Experimental Kansas City Tracker support (through 32-bit RR.DLL)

Experimental SeaTel tracker support

Experimental COM1/2 RTS line as rx-enable-only "tracker"

Add magnetic deviation setting for trackers

Start tracking ~40 seconds early - ensures antenna ready

Add user-defined ground stations for ISS (IssGroundStations.dat)

Add user-defined satellite ERP in TLEnotes.txt file

Make map origin threshold user-defined (0 or 180 degrees)

Read newer format TBUS bulletins

Move orbit number and phase calculations into Satellite unit

Increase precision in small-font status bar display

Be more tolerant in matching satellite picture filename

Second command-line parameter opens map tab at specified pass

Hide pass-box when timeframe is changed to realtime

2001 Apr 28 2.8.4

Tweak layout for large fonts

Add satellite TX frequency and note as next pass hint

Base Doppler on actual satellite TX frequency

Add more zoomed-in Azimuth Equidistant mapping mode

Eliminate incorrect AOS after switch to realtime

Fix passes below user minimum elevation triggering AOS display

Don't show pass box when user settings make it invalid

Note pass box is only accurate for NOAA satellites

Add option for running command after updating Keplers

2001 Feb 10 2.8.2

Correct Invalid Floating Point error ..

.. compute_passes_today being called before date correctly set

2001 Feb 02 2.8.0

Add multiple banks of active satellites

Add limited satellite frequency display

Add moon plot and sun/moon azimuth elevation readout

Make sun and moon display optional

Allow multi-select drag-and-drop for satellite selection

Add double-click for quick satellite de/selection

Add footprint without sensor scanline choice

Allow display of AOS when not in real-time

Add AOS and LOS sounds configured through the Control Panel

.. sounds only available while program is not minimised!

.. sounds may not be available if program started near pass end

Optional display of approximate pass coverage box

Reduce minimum pass duration to 30 seconds

Allow minimum pass elevations down to -2 degrees

Display elevations with one decimal point

Don't save text formatted wanted_sat_list (but read old data)

Force satellite names to upper case

Allow user choice of stale & obsolete Kepler threshold

Add sorting on columns on the Kepler view form

Speed up display of all Kepler data

Add control of scroll amount in Flight mode

Remember last pass direction

Improve date/time advance when using up/down buttons

Allow UNIX text files for two-line data (no CR chars)

Correct failure to display home symbol with no primary satellite

Remove spurious footprint lines

Rename bmp cache file from _BackgroundCache to ~BackgroundCache

Correct version upgrade producing access violation

Revise satellite Kepler list form for large fonts

2000 Dec 31 2.7.2

Improved Resurs scanner modelling

Improve Meteor scanner modelling, better but still poor

Use mid-pass altitude for scan prediction (was pass start)

Allow Ephemeris prediction across year boundaries

Revise ISS Ground Station footprint for ISS altitude

Revise ISS Geostationary Adjust default to Checked

Make ISS pseudo scanner very wide for recognisable image

Add Reset Location List button on Setup tab

Correct internationalisation for preset locations

Correct failure to load with bad location list

Correct failure to load topography if not in default folder

Improve defaults for overlay text

2000 Dec 20 2.7.0

Add current pass details box when sufficient display width

Revise footprint quality to be purely altitude dependant

When ISS (catalogue number 25544) is selected ..

.. optional correction of geostationary footprint

.. display selected ground stations with three-letter code

Limit ground path prediction to low earth orbit satellites

Choice of "my location" marker symbols

Restrict satellite name to first 15 chars of TLE file

Allow .TXT, .TLE and .2LI file extensions for Kepler data

Display topography file path on Setup tab

Improve error message for missing overlay.bmp, but defer

giving this error message until the overlay is needed

Use catalog number rather than satellite name internally ..

.. for saving and restoring active satellite list

.. should render us immune from satellite name changes

Try to speed up initial on-screen appearance ..

.. preload previous world map transiently into memory

.. prebuild nighttime shading map for initial speed

Avoid repeated plotting of unchanging gridlines

Add ability to save earth location details

Unify appearance of forms and check form tab order

Require Delphi 5 run-time library

2000 Dec 04 2.6.6

Smooth edges of satellite box on world map

Display satellite with yellow spot when in sunlight

Move to newer depth of eclipse calculation

Finer steps for geostationary satellite footprints

Display past history orbit ground tracks in grey

Tie ground track display duration to orbital period

Finer steps in ground track prediction around terminator

Increase time that Hints are displayed from 2.5 to 4.0s

Display only active satellite Keplers by default

Correct not updating Keps when different data set accepted

Reduce resource consumption by removing some auto-create forms

Prevent Intel JPEG library issuing non-standard output

2000 Nov 22 2.6.4

Correct error with World Map sometimes not being default

Only show push-broom scan on known satellites/scanners

Make ground track adaptive, shows highly eccentric orbits

Remember URL for Kepler update between runs

Improved appearance when very large bad Kepler file recvd.

Prevent repeated AOS failures, reduces CPU load

Speed up night time shadow mask application, reduces CPU load

Decrease night time shadow update frequency, reduces CPU load

Add execution timing info

Revise defaults to suit faster processors

Enhanced robustness when key files missing

Move to faster, optimised LPNG-PX PNG library

.. requires you download LPNG-PX.dll

2000 Nov 12 2.6.2

Add visible next-pass info ..

.. removes the need for right-click option

Add optional solar illumination shading on world map

Add optional cross on world map at specified location

Allow for USA passes after midnight UTC

Allow control of minimum pass duration

Add location name dependant horizon profiles

Change overlay for SatSignal file type from BMP to PNG

Allow choice of overlay time formats

Display non-UTC overlay times with appropriate offset

Revise overlay save options to separate dialog

Ask if different off-Internet Keps data should replace local

Increased error checking in Keps update routine

Remove some errors in messages in Keps update routine

Trap errors from location names with spaces not sorting

Trap satellites with negative heights (through bad TLEs)

Speed up forward path prediction - reduce 240 to 220 mins

Speed up launch when background bitmap is unchanged

Keep topography unshifted in antipodean mode

Shift-Click on Make Pass List does yesterday and today

2000 Sep 25 2.6.0

Add multiple user-defined location presets

Add local time option for overlay text

Automatically update pass list when number of days changed

Allow for blank lines in two-line-element files (FTP CR-only lines)

Treat NOAA-L as NOAA-16 in two line elements files

2000 Jul 28 2.5.6

Ephemeris updates ..

.. Add mid-pass option

.. Add local time option

.. Add coloured time-line graph

.. Add column headers to predicted pass list

Document graphic overlay possibility

Ensure passes at day-end are predicted, but not next day!

Improve first pass prediction again

Skip age check for keps named "MOON"

More consistent naming "picture" in Setup, Map & Path tabs

Update default colours for hill-shaded light blue background

Better locate satellite labels on near "horizontal" passes

2000 Jun 09 2.5.4

Correct ground path broken without ETOPO5 data

2000 Jun 04 2.5.2

Restore correct CylEqDist projection annotation

Improve first pass prediction with high min elevations

Add save/restore of program window state

Add optional horizon profile for radio horizon

Trap non-existant horizon data file

Add optional wider view AzEqDist projection

Optional map update when observer location has changed

Defer CPU-expensive map updates to background task

Fail silently when both Overlay.bmp and Countries.dat are missing

Move relevant code to new Cartography unit

Move master overlay bitmap maker to separate program

2000 May 25 2.5.0

Add View, Decode TBUS option (simple decoder)

Tweak orbit number to match TBUS and SAA, but not right yet!

Make more line style options work

Phase out antipodean mode in favour of longitude quadrants

Experimental Azimuthal Equidistant projection

.. May need Windows graphics acceleration reduced

Map background image onto AzEqDist projection ..

.. slow, so re-use splash screen, shows program is working

Use lowercase rather than brackets in the application ..

.. title to indicate a satellite below the horizon.

Only supply coarse map data, avoids repeated download of unchanging data

2000 May 11 2.4.0

Make status bar lat and lon display more user friendly

Add style option for ground track line

When only one satellite is available, make it the primary

Display speed improvements

Allow for more points per line in Countries.dat file

Add Roger Hedin's islands data to Countries.dat

Add orbit number display as status bar hint

2000 Apr 22 2.3.12

Add multi-pass ground track display

Faster footprint drawing with Polyline function

2000 Apr 13 2.3.10

Make primary satellite first in line styles options

Add "clear" line style for no line

2000 Apr 08 2.3.8

Add user choice on grid lines as well

Use sea background colour in Line Styles display

Add Help, What's new? menu item

2000 Apr 03 2.3.6

Add next pass info on status bar

Correct next-pass info to use UTC, not local time

Correct missing "UTC" in overlay text

2000 Apr 01 2.3.4

Add satellite-dependant radio horizon option

Add user choice of line colours and styles

2000 Mar 18 2.3.2

Add information icon to right-click for pass details

2000 Mar 13 2.3.0

Trap missing results folder, was keeping hourglass cursor

Reduce maximum keps age from 60 days to 40 days

Allow elevations up to 20 degrees (was 10 degrees)

Add right-click on satellite for next pass details

Don't display below horizon signal level

Always generate overlay in southbound direction

Add timing marks on r.h.s. of overlay

Allow seconds accuracy in overlay generation

Reduce minimum pass duration from 300 to 120s ..

.. now that higher minimum elevations are used

2000 Feb 21 2.2.8

Display actual, not generated, direction on overlay text

Spanish language help file is available

2000 Feb 20 2.2.6

Show hour-glass cursor while computing pass list

Improved robustness in Update over the Internet

Close with 5s delay when parameter pass not found in batch mode

Add optional "UTC" field in overlay text

Accept AMSAT name for MET-3/5

2000 Feb 15 2.2.4

Correct min pass elevation being doubly converted to radians

Add Internet-based Kepler update option

Cosmetic adjustments for "Large Fonts" displays

Interpret shorter datetime parameters as zero seconds

Make parameter pass matching more tolerant

Don't use map_time to match, it may alter under us

2000 Feb 12 2.2.2

Add choice of multi-day pass-list prediction

Add optional "at" field in overlay text

Refine Overlay Text Options form

2000 Feb 05 2.2.0

Add overlay text generation

Add summary view of available satellite data

Add Ephemeris data view

Ensure that most recent sat data is used (1.4.2, again)

Check age of keps and warn if old (except batch mode)

Trap case where image files are on non-present CD-ROM

.. don't build up folder names like R:\\

.. check for folder existing before scanning it

Use common DJTAboutBox

2000 Jan 01 2.1.6

Add more satellite info to application title while tracking

Add warning message if no satellite data found

When active list is empty, force switch to Setup tab

Add check for low memory before generating master overlay bitmap

List steps in master overlay generation & percent complete

Unify pass date list label format (as per V2.1.2)

1999 Dec 05 2.1.4

Clear status bar when entering or leaving flight mode

Correct error in Pass From Map

1999 Dec 04 2.1.2

Stop Flight mode resetting the map timeframe

New release of SGP_TIME from Dr TS Kelso, corrects

error in pass time list near 59 seconds

Accept "NOAA-15" etc. as alternative to "NOAA 15" in 2-line element file

Force UTC display to 24-hours in World Map

Unify date format in pickers and status bar to: yyyy MMM dd

Make the large OVERLAY.BMP file read-only

Add Flight-from-pass mode

Add ability to choose flight time

Add Help, Introduction item

Add ability to choose where results files are stored

1999 Nov 24 2.1.0

Add Flight mode

Allow for seconds in pass timestring parameter

Restore functionality of pass elevation threshold

Command-line forces save of pass details and overlay

Add view of overlay generation in batch mode.

1999 Oct 24 2.0.0

Fix incorrect statement of satellite pos at mid-ground-pass

Support overlay on map and save overlay image

Add command-line parameter for automated overlay generation

(Earlier history no longer saved here).


File names and locations

Satellite two-line element files (Kepler data)

The location of the two-line element files can be specified on the Setup tab so that files may be shared with another program. WXtrack will accept .TXT, .TLE or .2LI as the file extension. The file TLEnotes.txt should live in the same folder as the Kepler data.

Satellite image file names

The Ground Path tab allows two functions, the prediction of a ground path given the satellite, start of pass, and direction of pass, and loading an image produced from WXSat. You can choose the folder (or folders) containing these images from the Setup tab. The file name is assumed to be in WXSat format, but to allow the viewing or processed visible or IR images, various file extensions are recognised, according to the setting of the Channel selection on the Ground Path tab:

  • Colour: -c.jpg, -c.bmp, -c.png, -a.jpg, -a.bmp, -a.png, -b.jpg, -b.bmp, -b.png, .bmp, .png, .jpg
  • Visible: -a.jpg, -a.bmp, -a.png, -c.jpg, -c.bmp, -c.png, -b.jpg, -b.bmp, -b.png, .bmp, .png, .jpg
  • IR: -b.jpg, -b.bmp, -b.png, -c.jpg, -c.bmp, -c.png, -a.jpg, -a.bmp, -a.png, .bmp, .png, .jpg
  • Base: .bmp, .png, .jpg

So if today is March 26, and the time 12:58 UTC, then the file name from WXSat might be 03261258.png, and you may have processed the pass to produce a visible channel file that you have called 03261258-c.jpg. This file would be the first one found as shown in the table above. The program also tries to look for files a few minutes on either side on the nominal, but it doesn't yet know that 1300, rather than 1260 would follow 1259! Starting with release 3.0, arbitrary extra characters are allowed between the 8-digit number and the listed file extensions, allowing 03261258.NOAA.15.-c.jpg to match as well!

I have specifically included PNG file support as this format is typically only about 2/3 of the size of a BMP file, but without any loss of quality that is associated with JPEG files. Storing images as JPG files can cause errors in the level of the telemetry bars, required for apparent temperature measurement.

(Note that I am assuming that an image contains a single picture, not a combined side-by-side channel A and channel B picture. I currently store side-by-side PNG images as my master image, and processed JPG images for each channel.)

Results files and their folder location

You can choose where the results files are stored from the Setup tab. Previous versions of WXtrack stored all their results in the program's executable folder, which could therefore become rather clogged. This setting includes the items detailed below: the pass list, the ground image, the pass details, and the overlay image.

  • Pass list

The pass list will be saved each time it is regenerated (including every time the program is started up) to a file PassList.txt in the results folder. The Pass List Format is not guaranteed, but it is documented.

  • Ground image

The ground will be saved each time it is generated to a file Result.jpg in the results folder.

  • Track Listing

If the Save Track Listing option is set, a file named <pass>pass.dat will be written in the results folder. <pass> will be in the <month><day><hour<minute> convention. The Track Listing Format is not guaranteed, but is documented.

  • Track Location

If the Save Track Location option is set, a file named <pass>pass.lcn will be written in the results folder. <pass> will be in the <month><day><hour<minute> convention. The Track Location Format is neither guaranteed nor documented.

  • Overlay Image

If the Save Pass Details option is set, a file named <pass>ovl.bmp will be written in the results folder. <pass> will be in the <month><day><hour<minute> convention.

  • Overlay text

If the overlay text options is not blank, a file named <pass>ovl.txt will be written in the results folder. <pass> will be in the <month><day><hour<minute> convention.


Limitations

  • I do not have full scanner parameters for the RESURS and METEOR satellites, so ground tracks are based on my best estimates comparing with actual received pictures.
  • It seems that RESURS may not scan quite symmetrically with a southbound image being centred a little further west than the predicted ground path.
  • The program displays most dates and times in UTC

Setting your computer to UTC for WXSat

If you wish to run WXSat to collect wave files with the correct UTC times as filenames, I recommend the following procedure. This is not required simply to use WXtrack. Within WXtrack, the system time is extracted as UTC using the GetSystemTime function built into Windows itself, and the program should display UTC correctly however your Time Zone and Daylight Savings are set.

Follow this procedure only if you wish to make WXSat record filenames in UTC.

Start button, Settings, Control Panel, Date/Time. Choose the Time Zone tab. Ensure that the time zone is set to GMT, and that the "Automatically adjust clock for daylight saving changes" is unchecked. (The screen shot is from Windows NT 4).

But I can't set my computer to GMT...

Note that on some Windows 98 PCs there have been reports that even though the "automatically adjust ..." checkbox is unchecked, Windows still behaves as if it is checked! Do not despair! There is a tiny utility in the Windows 95 Kernel Toys called TZEdit (Time Zone Editor) which does behave correctly, and additionally allows you to set other elements of a . The utility appears to run under Windows NT and 98, as well as Windows 95. You may find the full set of Kernel Toys on the Microsoft site or magazine cover CD as "KRNLTOYS.EXE". If you can't find this file, e-mail me and I will see if I can help.


Program libraries

WXtrack requires a number of other libraries which may be obtained from the Web. If you get messages about missing libraries such as VCL50.BPL, IJL15.dll or LPNG-PX.dll when trying to run WXtrack you will need to download these extra libraries. If you have earlier versions of WXtrack then you are likely already to have the libraries on your PC. You can download all of these runtime libraries and install them in one easy step. Simply go to the site:

www.satsignal.eu --> Software, Runtime libraries

and download the package "runtime Library Bundle". Extract the .exe file from the Zip archive and run the .exe file. This will allow you to install all the required files on your system.

Common Control Library update

If you do not have a recent Microsoft product installed, such as Internet Explorer, it is possible that you may get an error message saying that "This control requires version 4.70 or greater of COMCTL32.DLL". In this case, you will need Microsoft's Common Control Library update from: www.microsoft.com/msdownload/ieplatform/ie/comctrl.asp (400KB)

Understanding "Missing DLL" error messages

There is information on analysing "Missing DLL" messages at: www.satsignal.eu --> Software, Runtime Libraries


Satellite Images

The program does not require any satellite images to run, these are only required should you wish to compare the ground path predicted by WXtrack with an actual satellite image. This is detailed on the Ground Path Tab description.


Tracker Support

Tracker options are controlled through the Tracker, Options... menu. You can also direct your antenna towards a specific object (e.g. for checking sun noise) through the Tracker, Test... menu option.

Supported Trackers

A number of hardware antenna trackers are currently supported. If you can use the WiSPDDE software, that is my preference as it includes control of radio frequency as well as antenna steering. The trackers include:

  • AMSAT LVB tracker (as GS232) - more information
  • COM1..COM8 RTS line as rx-enable-only "tracker"
  • Combi-Track - (under test) assumes azimuth is on unit A, elevation on unit B, only G (goto) commands are issued
  • CX6DD serial GS-232 interface on COM1..COM8 - more information
  • EA4TX ARS Antenna Rotator System (V1.5k and above) - more information
  • EASYCOMM I on COM1..COM8 - more information
  • FODTRACK Satellite Tracking System on LPT1 or LPT2 - more information
  • IF-100 parallel-port tracker
  • Kansas City Tracker (KCT) support (through 32-bit RR.DLL) - more information
  • KCT tracker with ON1CIM's KctTracker.exe server software for Windows NT/2000/XP. on1cim@easynet.be
  • KVH antennas - more information
  • R2FX receiver - more information
  • SeaTel tracker support on COM1..COM8
  • SPID tracker
  • SSB/Orbit parallel-port tracker (partially tested)
  • ServerLabjack - more information
  • TRX-Manager (through WiSPDDE interface) - more information
  • UNI_TRAC (through WiSPDDE interface) - more information
  • WinROTOR - more information
  • WiSPDDE software interface - more information

Please note that SatSignal software is not responsible for the content of external links, and that link locations can and do change.

Trackers for which some work has been done, but which are not yet fully supported, these may not work properly:

  • Combi-Track
  • M2 RC2800
  • EGIS COM port

Please contact your tracker manufacturer not me for tracker support! Tracking will start at the wakeup time you have selected before the start of a pass.

With the Bob Barnes CX6DD variant, you can override or add the channel prefix. Please see Tracker.ini for details.

If you are using Windows XP (or 2000 or NT) the parallel port is a protected system device, and you may need a small extra driver to allow a user-mode program such as WXtrack to control it.

Erich Eichmann writes about ServerLabjack (slightly edited):

I had to copy 2 SatPC32 aux. files into the WXtrack program folder, otherwise ServerLabjack sends a "File not found" message. These files are: SatIni.SQF and Flip.SQF. Users of WXtrack who want to use ServerLabjack therefore need copies of these files in their WXTrack program folder.

1. SatIni.SQF saves user specific settings used by SatPC32. Therefore the file is contained in the SatPC32 root folder. ServerLabjack evaluates only the rotor endpoint setting S or N. This setting is contained in line #9 of the file. A sample file is in the archive WXtrack.zip, a file that I have modified so that all other entries are dummies and only the entry used by ServerLabjack on line #9 is S or N. My rotor's endpoint is S. For testing I changed the setting from S to N and - as expected - the azimuth rotor was positioned into the opposite direction.

2. Flip.SQF This little file contains only 2 parameters which are either a + or a - sign. SatPC32 supports optionally the 180-degrees elevation mode (Flip mode). If the first entry is + ServerLabjack allows 180 degs. elevation. If the second entry is + SatPC32 utilizes the 450-degrees range of some rotors, but only instead of flip mode, not both together. I have set both entries to - (minus). With these settings ServerLabjack steers 90 degs elevation and 360 degrees azimuth. I did not test which influence changes would have when ServerLabjack is used with WXtrack.

  • The server file name is ServerLabjack.exe
  • Use Options, Tracker, Tracker-specific to locate server
  • The server does not need to be located in the WXtrack folder
  • WXtrack will close down the server program when it exits
  • You will need SatIni.SQF and Flip.SQF in your WXtrack folder
  • Please start ServerLabjack before WXtrack

Tracker Options

Depending on the tracker you have, there are a number of options available. These are presented on a tabbed dialog box.

General:

  • you can work in flipped mode when required if your tracker has an azimuth stop at north or south.
  • you can compensate for errors in azimuth or elevation.
  • you can point the tracker some seconds ahead of the actual satellite position.
  • you can compensate if the tracker works on magnetic north rather than true north.
  • you can allow a 180 degrees elevation range.
  • you can a 180 degrees azimuth offset.
  • you can set DDE to always be available
  • you can set the DDE strings to be in UPPER CASE
  • you can choose to write the file IT9SJL.txt in the Results directory. The file contains Sun, Moon and primary satelite az & el, file is updated every 30 seconds (at most), but as a test - the file is updated every cycle.
  • large text - by checking this box, the main display of WXtrack is overlaid with the azimuth and elevation headings of the primary satellite. This is intended for manual tracking of a satellite when you must be some distance from the computer and therefore have difficulty reading the screen. In the registered version of the program, you can right-click the text to customise its screen location, font, and transparency.
  • you can set XY mode instead of azimuth and elevation mode. The pointing commands will be converted from azimuth and elevation into XY commands, with (90, 90) being the vertically up position. For the EasyComm tracker, the values are prefixed with X and Y instead of AZ and EL.

At pass start:

  • Wake up the tracker between one and three minutes early.
  • Run a command. You can substitute satellite name, catalog number and frequency in the command string.

At pass end:

  • you can run a command

Parking:

  • you can park the antenna at the end of a pass.
  • you can park the antenna when an auto-switch occurs.
  • you can park the antenna when you exit WXtrack.
  • you can specify where to park the antenna.
  • you can allow a specified time for parking to complete.

Port setup:

  • allows you to choose which port to use.
  • only appropriate port options are enabled for the selected tracker.
  • allows you freedom to set non-standard serial baud rates for your tracker, so check carefully!
  • you can ask that only the first copy of WXtrack started has exclusive access to the tracker.

Tracker-specific options:

  • you can set a half-elevation mode for Orbit/SSB trackers.
  • you can send a channel prefix to CX6DD trackers (for HRPT receiver control).
  • you can send a "rest channel" prefix after tracking is complete.
  • you can send a channel prefix text string to a CX6DD tracker, and substitute parameters (as listed in the box's pop-up hint).
  • you can send a channel suffix string to a CX6DD tracker at the end of tracking. Please note that this string may be sent twice.
  • you can allow for an offset when a Yaesu/Kenpro tracker is "on its back".
  • you can set the threshold at which this offset is applied.
  • you can set azimuth and elevation gains for the KCT/RR.dll tracker.
  • you can set number of decimal digits sent to the EasyComm I tracker.

Radio

  • you can select the frequency and mode for the uplink and downlink of a radio
  • you can use a file Radio.ini to make your own preset selections
  • the file Radio.ini must live in the same directory as the Kepler data
  • you can determine which modes should be used for which MA segments
  • radio control is achieved through TRX-manager or WiSPDDE or DDEtracker for SDR#
  • control of centre frequency for the SpectraVue software is under development


Using WXtrack

WXtrack has four screens, Setup, World Map, Ground Path, and Flight, which are accessed by means of a tabbed page control. On first running the program, you will be presented with the Setup screen, although in normal use the World Map will be the first to display with a real-time presentation of your chosen satellites.

To print an ephemeris, use the File, Print pass list... menu.


Batch mode operation

Command-line parameters

There are three operations tha can be performed from batch mode. What parameters are found determines the operation mode. A registered copy of the program is required to save information in batch mode.

A - make an overlay image for a particular pass

B - Point the program to display a pass

C - map generation

D - Make a passlist, or prevent a passlist from being generated

Mode A - overlay generation

WXtrack <date/time string> (e.g. WXtrack 12251500, or: WXtrack 199912251500)

In mode A, WXtrack will accept one parameter, the time of a pass in the standard format (e.g. 12251500 for 15:00 UTC on Christmas Day, December 25).

If the <date/time string> is present, it is assumed that you wish to generate one set of pass details and overlay map for the named pass. You can specify the pass to include the year by adding a four digit year (later than the year 1956) to the above format, i.e. 199912251500) and optionally two digits of seconds as well (e.g. 19991225145959). The program will first extract the day from the command-line parameter, and generate a pass list for that day, using the current 2-line parameters. In batch mode, this pass-list will not be saved to PassList.txt. This pass list will then be scanned to find the pass specified on the command-line.

In the event of a match between the pass list and the parameter not being found, any seconds in the parameter will be ignored and the matching process repeated. A final attempt will be made using just month, day, hours and minutes. If a match is not found, an error message will be briefly displayed, and the program will close.

If the specified pass is found, the program generates the pass details and overlay image for the pass, and saves them to disk. Once this task is complete, the program shuts down. No manual intervention is required.

Mode B - displaying a pass

WXtrack <date/time string> M (e.g. WXtrack 199912251500 M)

As mode A, except the presence of a second parameter on the command-line will leave the program open on the Map Tab at the pass in question, so that you can investigate that pass. The active control will be the minutes of the pass time control. The mode is only tested with NOAA satellites, but should work with any satellite.

Mode C - map generation

WXtrack <date/time string> M <N> (e.g. WXtrack 199912251500 M 120)

As mode A, except that the Map screen, rather than a simulated pass, is generated. The result is saved as the file: snapshot000.bmp in the results folder. Once this task is complete, the program shuts down. No manual intervention is required. <N> specifies the interval between pass snapshots. If N = 0 then a single snapshot is made at the start of the pass. If N = 15 then a snapshot is made every 15 seconds into the pass, terminating when the pass ends. Be warned that this can produce a large number of snapshot<nnn>.bmp files!

Mode D - making pass lists

WXtrack -passlist:<N> (N is the number of days, e.g. WXtrack -passlist:5)

  • forces generation of N-day passlist.txt (up to 99 days).
  • closes program once the passlist file is made.
  • use for making up multi-day passlists automatically.

WXtrack -nopasslist

  • inhibits automatic generation of passlist.txt file.
  • but then runs as normal interactive program.
  • still creates passlist.txt file when Make Pass List button pressed.
  • use for normal running of WXtrack where you have multi-day pass lists, and wish to prevent them being overidden.

A problems from mixing Keplers

Please note that you may not get the expected results if you generate a pass list with one set of Keplers, but run the program with a different set. This might happen if, for example, you generate a set of Keplers for an extended period, e.g. several weeks ahead, save the extended pass-list, and the update your Keplers but don't regenerate the extended pass list. When you run the program, passes in the earlier list may not match passes fron the later list. In these circumstances, WXtrack may not match a pass if 12 minutes, 59 seconds from one set of Keplers becomes 13 minutes, 02 seconds from another. Use consistent Keplers when trying to match previous results.


Flight Tab

This is the fun part of WXtrack!

Be warned - this mode is addictive and you will find yourself wasting a lot of time just watching it.

The flight tab shows the ground view as it would be seen by the satellite as it traverses the earth - no receiver required - perfect visibility - in real-time! You can choose which satellite to use - this will be the same as the primary satellite on the World Map tab, and you can select the satellite on either tab. You can choose the direction, and existing flight image will be preserved so you don't need to wait so long for a picture to be created.

Press the Fly button to start or stop the simulation. The last few seconds of the flight just before the current time will be pre-computed to provide a little ready-prepared picture...

Press the button labelled --> N or --> S to change the direction of the flight path. Any image created so far will be inverted and used as the starting point for the new flight. The direction you last used on either the Flight Path tab or the Ground Path tab will be remembered for the next run.

When the screen fills with picture lines, older lines will be scrolled to make space for new lines. You can control how many lines are scrolled at a time with the Scroll by up-down buttons.

If you click on the Set Flight Date & Time button, you will be presented with a small dialog box to set the data and time at which the flight will start. If you change the time, then entire flight will be recomputed, hence there is a Cancel button on the dialog. If the flight is not running when you change the date or time, it is assumed that you would like to start the flight running.

When you switch away from the Flight Tab the simulation is stopped, and would be restarted from scratch if the Flight Tab were reselected and the Fly button pressed again.

What Time is used?

If you switch to this tab from the World Map Tab, the current clock time will be used for the flight. If you use the Fly this pass button on the Setup Tab it will be assumed that you want to fly the selected pass from beginning to end, irrespective of the current time. You will be confused if you select a pass near the current time, and get a flight several minutes away from the clock time. I know I was confused!

Programming note

The way this is programmed is for the simulation to be called several times a second, and when called it tries to catch up with real-time. If the program hasn't been running for some time, perhaps a higher priority task was executing, there may be a short gap as the simulation catches up, such as when the first few lines are pre-computed. The routine was written in this way so that even it wasn't running for a short period lines from the simulation would not be lost. I describe this as working in "catchup" mode.

Hardware Requirements

Experience with this mode within the user community is currently very limited, so please revisit this section in future releases.

I would recommend that you have better than a Pentium 200MMX, and that the quality of the image produced will be substantially better if you use the large ETOPO5 file. If you do not use the ETOPO5 file, then ensure that Options, Show Overlay is checked so that well-defined country boundaries are generated.

The CPU recommendation is based on my own tests showing that, when running a flight simulation full screen 1024 x 768 32-bit true-colour image, an AMD 266 with a Voodoo3 2000 PCI card took about 50% CPU usage, and a Pentium II 350 with a Matrox G200 AGP took about 20% CPU. Your mileage may vary, but the program should be able to use its "catchup" way of working to compensate for the slower CPUs to some extent. A test on a 200MMX, not full screen, showed about a 50% total CPU load of WXtrack in flight mode, together with WXSat capturing the same pass in real-time!


Ground Path Tab

The main feature of WXtrack is the prediction of the image that a pass should produce. The program allows you to put side-by-side the predicted image with an actual satellite pass picture so that areas that are unclear or cloud covered may be determined. Coming from the Make picture button on the WorldMap tab, the details for the pass will be filled in, but you can choose a different set of parameters should you wish. Since producing the image is a computationally expensive process, you must press the Make picture button to start the process, and you can interrupt with the escape key. The direction you last used on either the Ground Path tab or the Flight Path tab will be remembered for the next run.

Saving the results

The program will automatically save the predicted picture as a file Result.jpg in the program folder. It will optionally save a text file containing the satellite position for each line of the pass. This file contains the UTC in text, and the azimuth and elevation in degrees (more details). The filename follows the standard naming convention, with the suffix pass.dat.

No satellite picture?

If you don't get a satellite picture, most likely your picture files do not conform with the naming convention described in the documentation, or you haven't set up the paths for satellite pictures correctly. You can choose the visible or the infra-red channel, and you can zoom both images. The predicted and actual images may not coincide exactly - not because of any program error, but because you did not acquire the signal at the start of the pass, had interference or whatever. To allow for this, when zoom is selected you can scroll both images together by scrolling the predicted image, or you can scroll the actual image on its own using its own scroll bars.

Hint

You can load an arbitrary image, and print the results, by using the File menu. The Load Picture button only loads pictures with the fixed format file name.


GroundMap integration

1 - The first thing is to tell WXtrack to save the locations file:

  • Options, What to save..., Check "Save track locations as <pass>.lcn
  • Click OK

2 - Now you need to generate the locations file:

  • Setup tab, Pass list generator, Choose the date, Select the pass to be generated
  • e.g. 10/24 04:07:52 S 341 867 NOAA 16 (obviously your passes will be different!).
  • Once the pass has been selected, the Picture from pass button (and others will become enabled).

3 - Now you need to make the actual file, from the Ground Path tab:

  • Click on Picture from pass, which should give you the Ground Path tab, with the Satellite, date and time, duration and direction correctly set.
  • Click on the Make picture button.
  • An image of the pass should be created - it took about 10 seconds on my PC and you see the image being gradually built up.

4 - Now you should find, in your WXtrack "Path for results files" (as defined on the Setup tab), the following new files:

  • PassList.txt - a text copy of the list of passes, not used by GroundMap
  • 10240407.lcn - the location data for GoundMap
  • result.jpg - the image of the pass, not used by ground map and overwritten every time.

Move the .lcn file to the same folder as the APT image data you wish to process.


Setup Tab

Initial Setup

There are few things to configure when first using WXtrack, your favourite satellites and your location.

  • Selecting satellites. The program is provided with a set of two-line element files which were current at the time the archive was prepared, but you can use your own files (with .TXT, .TLE or .2LI file extensions), and you can specify where the files live so that they can be shared with other programs which use orbital data. The program scans for all files in the folder you specify. To select which satellites are displayed, drag and drop the satellites you want to monitor from the Available list to the Active list. You can select one or more satellites to drag, and you can double-click to add a satellite as well. You will find these methods useful if your list of available satellites is quite long.
  • Prioritising satellites - you can assign a priority to each satellite from 0 upwards. If you use priority, 1 is the lowest priority, and 10 the highest. Zero means skip this satellite. Simply select a satellite from either the Available or the Active list and set its priority with the two up/down buttons. Be sure to set the priority for both north-bound and south-bound passes.
  • Checking Prioritise passes prevents non-overlapping passes from being shown in the pass list. Passes are prioritised first by satellite priority, and then by maximum elevation.
  • You can choose to disable the sending of Doppler correction to some radios, so that a receiver equipped with hardware or software AFC can track the frequency itself.
  • There are four banks available, each with its own active list. You might want to have space stations on one list and weather satellites on another, for example. Click on the Active Bank buttons to change the list. Right-click on the Active Bank dialog to export the list of satellites.
  • You should then set up your location details, by clicking on Cities... and choosing the nearest city, by clicking on the Edit locations... button or by clicking on the bold location name (_default unless you have previously run WXtrack). Your location is given as decimal degrees of latitude and longitude. West of Greenwich or south of the equator the figures will be negative. You can control what elevation the program uses to judge that satellites are above the horizon, between 0 and 25 degrees. You can rename your location, and add other locations from the Edit location details dialog. If you have problems with the locations becoming corrupt (this can happen if you have run beta versions and then reverted), there is a Reset (to factory defaults) button. You can choose what longitudes switch between Greenwich or International Date Line centred mapping.
  • You can read your location from a GPS receiver using the NMEA $GPRMC sentence
  • Each location can have its own radio horizon profile file, so if you have a location called Edinburgh the program would first look for a file called EdinburghHorizon.dat, then for the default file Horizon.dat
  • If you live far away from the zero degree longitude line (the Greenwich meridian), you may prefer that your World Map is centred around the International Date Line instead. The Greenwich centred in controls allow you to select how far west of how far east you must be for this to happen atuomatically.
  • Clicking on the Make pass list button should then give you a list of passes that day for your chosen satellites at your location. You can change the date for which the passes are generated by changing the date selector box, and the number of days with the up-down buttons next to the Make Pass List button. The date and number of days is not saved when the program exits. The pass list will be saved to the pass list file.
  • You can adjust the Minimum pass duration as you wish to filter out short passes
  • You can adjust the Minimum pass elevation as you wish to filter out passes with a low maximum elevation (registered version only)
  • You can check Auto switch which will make the program automatically switch to tracking the next available satellite.
  • You can choose between All, Daylight or Night-time passes to display all passes, or to display passes only where the sun is, or is not, above the horizon at the mid-pass satellite sub-point.
  • You can check the Predicted only box so that only passes which appear in the passlist will be tracked (registered version)
  • If you want to compare ground image predictions with actual satellite pictures you have, you should enter one or more paths to the satellite picture files. These must be named in accordance with the WXSat convention, although a variety of suffices and file types (BMP, PNG and JPEG) are allowed and these are described here.
  • If you wish to save the files generated by WXtrack in a different folder than the program itself, you should specify a path for the results files using the folder browser provided.

Routine interaction

You would normally make use of the setup tab to determine which satellite you want to have as your primary satellite on the next tabs. You can select a pass from the list (and as you alter the date the list for the day will appear after a short delay - the delay is to avoid excessive flicker, by the way). Clicking on Get next pass will advance the date to today, and select the next pass from the list. Once you have selected a pass, you can click on the Map from pass, Picture from pass, or Fly this pass buttons to go to those tabs, with the satellite and date/time of your choice pre-loaded. Note that Fly this pass flys the current pass from the starting time, not in real time. A quick shortcut to the Ground Path tab with the pass details pre-loaded is to double-click on a pass. Note that all times are in UTC, and the program uses the setting you make in the Windows Control Panel for Time Zone information to convert your computer's clock time to UTC, so please make sure this information is correct!

To print a diary of the passes for the next few days, an Ephemeris, press the Print ephemeris button. You will get a dialog box allowing viewing, saving or printing of the ephemeris. This is a neatly formatted version of the pass list to take away.

To rename a file according to a particular pass, press Shift while clicking the Map from pass button. This allows you to rename files that have been recorded overnight.

Hint: pressing shift while clicking the Make pass list button will make a pass list for yesterday and today.

Hint: when you click on a pass, the pop-up hint gives more details of the pass

What qualifies as a pass?

WXtrack will count as a pass a certain period or greater during which a particular satellite is above the elevation specified. The elevation includes a correction for atmospheric refraction, which is probably completely inappropriate at radio frequencies, but is highly relevant should you wish to observe the satellite. You can adjust the minimum pass duration to count as a pass using the spin control just below the list of passes.

Note

If you set either a very high minimum elevation (over 5 degrees, for example), or a very long minimum pass duration (over 2 minutes, for example), you may well miss passes or obtain unexpected results. You have been warned!


Using Overlays with WXtrack and SatSignal

WXtrack can generate, and SatSignal can use overlay files, which are bitmaps where the colours (more specifically, the palette indices) represent land, sea, country or state boundaries. You could use any program to generate the overlays for SatSignal, or use the overlays generated by WXtrack with any other program you like to create the composite image.

Generating the Master Overlay

WXtrack checks for the master overlay file when it is first run. The master overlay file is a large bitmap which will occupy some 30MB of disk space. You can download the master overlay file from WXtrack Web page (look under Satellite Tools, WXtrack, Optional items, Pre-compiled overlay bitmap, or you can download the tool to create the master overlay yourself from the Mapping tools Web page. (look under Mapping Tools)

There is nothing to stop you editing the master overlay, putting a mark where you live, for example, but please do not alter the palette or SatSignal may not overlay the data correctly.

Generating an overlay for a pass

In WXtrack, simply generate a ground path as normal, and ensure the Save Pass Details option is checked. A number of files will be created in the program's results folder, named according to the usual conventions - e.g. 10252215ovl.png. You have a choice of Windows bitmap (BMP) or the much more compact Portable Network Graphics (PNG) forat for the overlay image. You can choose where the results are saved on the Setup tab. You will also get a file named 10252215pass.dat, which has the satellite azimuth and elevation for each scan line of the pass. Both of these files are transient, and can be deleted when you have done with them. Note that the overlay image will appear as if the pass has been generated in the southbound direction, i.e. northbound passes will appear upside down in the overlay image. This is normal.

Because of the way the data is generated, near the poles the grid lines may appear rather thin, and then peter out. This is normal.

Removing the borders

Les Hamilton notes: To remove the borders, edit the map from Wxtrack in Paintshop Pro to define the border colour and the grid colours to the same blue as the sea. Then save the palette. For subsequent maps, just load this palette, and the borders disappear instantly.

Overlay Text

WXtrack can generate a text file containing a summary of the pass details. Which elements are stored is controlled by the Options, Text overlay... menu. The file name will be 10252215ovl.txt, in the example quoted above, and is created in the results folder.

Using the overlay data

Within SatSignal, using the overlay data is automatic. The overlay filename must match the pass filename being processed, so if you had started recording the pass mentioned above, but a minute late, then your image file would be called 10252216.png (or whatever), so that you would need to rename the overlay file to 10252216ovl.png. Do not move the file from WXtrack's executable folder - SatSignal knows to look for the file in that location. If you have all the pass, there is no need to rename files. (It will be worth setting the minimum elevation in WXtrack to match your system, or your system clock, if you are continually getting mismatched filenames).

WXtrack requirements

Overlays cannot be generated without the master overlay bitmap, and that cannot be generated until the separate Countries.dat is downloaded.

SatSignal Requirements

  • If you use another program to generate overlays, please note that only 256-colour paletted images, 1040 pixels wide, are accepted.
  • Presently only NOAA satellites are supported.
  • The registered version of SatSignal is required.

Program versions

  • WXtrack 2.0.0 or higher is required for overlay generation.
  • SatSignal 3.1.0 or higher is required for overlay support.


Editing the Master Overlay

You may wish annotate the master overlay, showing your location or the names of features in your region.

Making the Master Overlay writeable.

Normally, the master overlay is read-only to stop you accidentally deleting it. You need to make it writeable for successful updates.

Locate the master overlay file, Overlay.bmp. This is normally in the same folder as the WXtrack.exe program file. In Explorer, right-click the file Overlay.bmp, and from the Properties menu uncheck the Attributes, Read-only check box and click OK.

Editing the file with Paint Shop Pro 6.02

(These instructions are PSP 6 specific. You can use any image editor that you like, as long as the editor is capable of working with paletted images, and the palette is not altered in any way by the image editor.)

Open Overlay.bmp with Paint Shop Pro. As this is a 30MB file, it may take a few seconds to load. Locate the region you wish to annotate. Click on the foreground colour selector and choose either red (palette index 13), yellow (palette index 15) or cyan (palette index 18). (Any red annotation will be controlled by SatSignal in the same way as grid lines, yellow annotation as country/state boundaries, and cyan annotation as the Graphics layer.) The behaviour with other colours is not guaranteed, however the present mapping includes "sea" (index 4) and "land" (index 2).

Select the text tool. Click where you wish the annotation to be. Enter your annotation text in the Text Entry dialog. Note that you must create your annotation as a floating selection, not on a vector layer - ensure that the Floating radio button is selected in the Create As panel. Click OK and drag your text to its final location and unselect it using the Selections, None main menu.

You can now add other graphic elements as desired, but note that only the red, yellow and cyan palette index colours may be used. Again when using PSP ensure that "Create as Vector" option is unckecked.

Save your edited image. If you get messages about numbers of colours, or combining layers, then most likely you did not stick with the palette colours and therefore your new master overlay will not work. You can only use an image with exactly the same palette as the original Overlay.bmp.

If you wish, you can make the file Overlay.bmp read-only again.


Using Parallel Port trackers under Windows NT/2000/XP

What is the problem?

Under these versions of Windows, the operating system does not allow user-mode programs such as WXtrack to have direct access to the parallel printer port. It requires that all access be through a device driver, so that the actions of one program do not interfere with the actions of another, and normally this protection is a "good thing". However, this also prevents WXtrack for driving parallel port trackers.

What can I do about it?

A program is available from this URL http://www.embeddedtronics.com/design&ideas.html called UserPort which "is a simple kernel mode driver for Windows NT/2000/XP that will give programs access to I/O ports. This makes it possible to access the hardware I/O ports directly under Windows NT/2000/XP just like 95/98/ME." (to quote from their Web site). Download and install UserPort if you need to run a parallel-port tracker under these versions of Windows.

How do I configure UserPort?

UserPort comes with an excellent document describing how to configure and use the program. Although the document does not mention Windows XP, the program works correctly under either XP Home or XP Pro as well as Windows NT or 2000. When running UserPort.exe, you are presented with two columns which contain a list of port addresses to which programs will be granted access. You need to add your printer port to the left column (the right column is for specially written programs). When the program first starts, or the Defaults button is pressed, the port list reads:

200 - 37F

3BC - 3BF

3E8 - 3FF

This includes the printer ports, so no further action is required. Should you have non-standard ports, you will need to add them at this point. Click Start to enable access to these ports. You may then exit the UserPort.exe program - the device driver stays running. To prevent access to these ports, simply reload UserPort.exe and press the Stop button.

For more details, please see the documentation that comes with UserPort.zip.


Using with the ISS and Shuttle

Using with the International Space Station (ISS) and Shuttle

There are a number of features designed to enhance WXtrack for ISS and Shuttle acitvities. See the Options, ISS / Shuttle menu for setting:

  • A list of ground stations that can be displayed
  • Whether or not MET is to be displayed - see TLEnotes.txt for details
  • Whether or not geostationary satellite footprints are adjusted for satellite altitude

You can now also get the height in miles as well as kilometres by hovering the mouse over the Alt: display (in the status panel, only displayed if there is sufficient room on the display).

Getting two-line Kepler data for the ISS and Shuttle

Create a text file called STSnew.txt (or whatever) in the same folder as your other orbit data (i.e. the same folder as weather.txt). For STS-111, for example, edit the file with Notepad to contain:

STS-111

1 27440U 02028A 02157.01016003 .00031915 42529-8 52856-4 0 29

2 27440 51.6351 109.4765 0075530 182.6973 177.3639 15.96833347 36

or for the ISS:

ISS (ZARYA)

1 25544U 98067A   13360.93889909  .00009146  00000-0  16762-3 0  3302

2 25544 051.6493 233.3055 0004516 316.6423 121.3116 15.50069092864608

The late Dave Ransom (Web: http://www.dransom.com) offered a regular update service for Shuttle missions. The Keplers are updated several times a day. Here are the details from his Web site:

If you wish to receive these data (TLEs and state vectors) via e-mail, please send a message from the address where you wish to receive the data to:

listproc@spacelink.nasa.gov

Leave the subject blank and put the following text in your message:

subscribe ststle Firstname Lastname

Please substitute your real first and last names for "Firstname" and "Lastname". You will receive an acknowledgement that your name and e-mail address have been added to the STSTLE Distribution List. This service is provided in cooperation with NASA Spacelink, Marshall Space Flight Center, Huntsville, AL.

Dave also offers a service for ISS and other data:

TLEs via e-mail: If you wish to receive MIR Space Station / Hubble Space Telescope (HST) / International Space Station (ISS) Orbital Data via EMAIL please follow these instructions:

* Send a message from the email address where you wish to receive the data

* Send to: TLElist-subscribe@idb.com.au

* Leave the subject line blank

* Leave the message blank

You will receive an acknowledgement request that your name and e-mail address is to be added to the TLElist Distribution List. Reply to this and you will receive a final confirmation once your subscription is complete.


Using with the Satellite Active Archive (SAA)

If you regularly use the SAA, you might find one small feature of WXtrack very helpful when browsing for data. You can drag a dataset name, e.g. NSS.GHRR.NJ.D01206.S2210.E0003.B3385961.GC from your browser window onto WXtrack, and it wil, attempt to decode the string into the satellite type, the date, and the starting time of the pass. This will immediately set the WXtrack Map display to the start of the SAA pass. In fact, you don't need the full string, only the part up to and including the "S2210" i.e. the start file. In the example above "NSS.GHRR.NJ.D01206.S2210" would have been enough.


World Map Tab

The first screen you will normally see, the World Map tab, may be all that you desire from the program.

The World Map tab presents the path of your chosen satellites over the previous few minutes, with a dotted line showing the approximate sensor path of the "primary" satellite. Satellites in sunlight have a small yellow marker. Details of the primary satellite's location, signal strength, altitude etc. appear on the status line. You can set the date and time manually, or by selecting a satellite picture (the WXSat filename is decoded as date and time), or use the current time. The display normally updates every five seconds which imposes a very small computational load, and you can alter the update frequency from the options menu should you wish. You can choose a satellite either from the combo box or by clicking near the satellite. In the registered version, if you have taken advantage of the GroundStations.ini file to define user ground stations, you can click near a ground station to alter the home location to that ground station. The small numbered button near the satellite combo box allows you to change the active bank, and in the registered version you can also use the keyboard shortcuts Ctrl+1..Ctrl+4 to make the selection. In the registered version, there is a small padlock icon which allows you to lock and unlock the display from keyboard input. The F11 function key key toggles full-screen mode, and will force the World Map tab to be selected. You can use your own image for the background to the World Map tab as described here.

The area which is in daylight is shown in a slightly lighter colour, when in the whole-world Plate Caree projection.

You can optionally display a small marker at your own location, with a choice of cross, broken-cross, or ring.

In the registered version, you can move the mouse over the World Map to display the cursor location, the azimuth and elevation of the satellite (if visible), and the range and bearing from your home station location, and the nearest city. Right-clicking on the World Map will produce a choice of pointing your beam to the antenna at a great-circle path to the indicated location, pointing at the satellite, or displaying the Satellite Summary form. Clicking on the Satellite Summary form will toggle its display between UTC and local time.

The panel below the world map carries some control functions (timeframe, bank, time & satellite) and a number of status boxes. You can right-click the panel area to determine which of the five status boxes are shown - Frequencies, Next Pass, Satellite Status, Second Station, and Tracker Status. To see all the boxes will require a display width in excess of 1200 pixels.

Pressing the Make picture button will allow you to predict a picture for the currently preferred satellite. (Note that selecting the Ground Path tab will not automatically transfer the current pass details, be sure to press the Make picture button instead.)

When in realtime mode, information on the next and next but one passes is displayed in UTC. With the registered version, you can have that display in local time as well. Right-click the display to change the time format.

You can display user-specified ground stations and change the program's caption if you wish. For more information, please see the sample GroundStations.ini in the Zip archive you downloaded.

Hint: When entering the time manually, I usually click on the hours field, type in the two digits of the hours, then use the right arrow key to move to the minutes field and type in the two digits of the minutes. As soon as the second digit is entered, the map display updates.

Hint: You can drag an SAA dataset name from your browser to set the satellite and starting time of the pass in WXtrack

Hint: While the minutes field is selected, you can use the up arrow and down arrow keys to alter the minutes a step at a time. This is a sort of manually controlled fast-forward / fast reverse mechanism.

Hint: Let the mouse hover over the date or time controls at the bottom of the page to display the local time format.

Hint: Let the mouse hover over the altitude or range display (e.g. Alt: 400 km) to see the value in miles

Hint: Let the mouse hover over the status bar to see the Orbit number and Minutes into the orbit

Hint: Let the mouse hover over the word Satellite to display the time to draw the last screen update, with a list of the elements comprising the steps in drawing.

Hint: Click the Picture from pass label to show a real-time clock instead. Click that clock to change from UTC, to local time, to "time to LOS" time, and back to the text label.

Hint: Click on the Next Pass / Tracker Status box to toggle its function.

Hint: Right-click the status bar at the bottom of the display to show or hide display of the moon data. Azimuth, elevation, range and range rate are displayed.

Note that as it can take a few seconds, even on a fast PC, to generate the azimuthal equidistant projection, the current world map background image will be saved as the file ~BackgroundCache.bmp in your Windows temporary folder, ready for use next time at startup. This can make startup substantially faster. You can delete this file if you wish. It is a temporary file, so if you edit it any edits will be lost when you change the program's window size, the projection, or the selected location.


Controls

Congratulations!

You have found the part of the help file I haven't yet written!


File Menu

Print pass list... (an ephemeris)

This option invokes a five-tab dialog box, which allows you to produce pass predictions for use in the field. On the Control tab, you can choose which satellites to include (fromn the active list), when to start, and for how many days the prediction should run. Predicting six satellites for seven days ahead should take a few seconds or less. From the Ephemeris tab you can print the pass list, or save it to a file. The Time Line tab provides a visual display of the passes throughout the day, with greater emphasis being placed on the higher-elevation passes. The Pass Details tab gives the location of the selected satellites once per minute from the pass maximum elevation. The Crossings tab gives the time at which the satellite crosses the latitude you specify.

The format has column headings and should be self-explanatory. In the registered version, you can make the pass details more frequent for more accurate satellite position display.

Please note that you may get a different number of passes if you switch between UTC and local time, as the 24-hour period starting a midnight UTC and midnight local time may actually encompass a different number of passes as it is a different 24 hours! The displayed times should be in the timezone you select, i.e. either UTC or the timezone you selected for your computer.

Printer Setup

Allows you to set up the printer in the standard way

When on the Ground Path Tab....

Additionally an Open item appears, which allows the loading of any arbitrary image, and the Print Image items appear, which allow you to print the images that are currently displayed.

Loading arbitrary images

Note that normally the image file name is fixed by the pass - in accordance with the WXSat conventions. The Open item allows you to circumvent this and load any image.

Printing your results

You can print the contents of the Ground Path tab using the File, Print menu. If a single image is displayed (i.e. either the topography or the satellite picture), the page orientation is set to Portrait to accommodate the length of the picture. When both images are displayed, they are printed side-by-side on a Landscape orientation page. In either case, the program should maintain the aspect ratio of the original image. The two images are aligned centrally, so it is up to you to match the pass with the picture by choosing the start time and duration. The full contents of both images is printed, irrespective of any zoom in use.


Help Menu

The Help menu contains the usual Contents, Index and About items. Registration details are also available.


Options Menu

There is a whole lot of stuff in here which should be better organised. The section includes information about ISS/Shuttle options, using sounds, and updating the Keplers on-line.

Background

The background is the image file used for the background in the main World Map tab in WXtrack.

For registered users:

You can update this background immediately (refresh background now), or have the program check for updates itself at intervals of from 1 to 60 minutes. The background may be redrawn shortly after the form is resized to provide the best image for the new size.

In addition, there is a choice of two backgrounds (standard and alternate), where the standard background is held in the file UserMap.jpg and the alternate background in the file AlternateUserMap.jpg. I would suggest using the AlternateUserMap.jpg as the fixed background, and the UserMap.jpg as the updated background. Note that the alternate image may be cached between program runs, just as the standard background is.

Google Earth...

For registered users: WXtrack can send the sub-satellite earth location of the current satellite to Google Earth, to drive the map display on a regularly updated basis. The dialog allows control of camera height and the view update interval. This is intended as a fun mode of operation!

Ignore refraction

Stops the program making a small allowance for atmospheric refraction near the horizon.

Line style...

Invokes a dialog which allows you to choose the colour, thickness and line style of the grid lines and footprints on the Map display. Please note that not all styles are available in all thicknesses.

Map projection

Allows you to switch between map projections. WXtrack can display the World Map background in one of three ways, either a simple linear map projection known as Cylindrical Equidistant or Plate Carée projection. This has the advantage of showing the whole world at one, but distorts badly near the north and south poles. A Mercator proejction option is available, limiting at +/- 73° latitude. Alternatively, WXtrack can work in Azimuthal Equidistant projection, which is rather like a view overhead of your location, but slightly adapted so that some distances and angles are better displayed. The code for this was adapted from the Generic Mapping Tools software, for which C, but not Delphi, source code was available. Two scales of this projection are available, the wider view giving rather more warning of satellites over the horizon, at the expense of resolution. You can download the Delphi source to create your own maps from my Web site in the Mapping Tools section. With Cylindrical Equidistant projection, you can choose whether the map should be centred around the Greenwich meridian or the International Data Line on the Setup Tab.

Precision display

Provides more decimal digits in certain display functions.

Satellite font...

Allows you to choose the font face, style and size for displaying the satellite names. The registered version of the program is required.

Save Snapshot

Save a snapshot of the screen image after every update to the file snapshot.bmp. Note that this may not work with slower PCs and faster update rates. The intended update rate for this option is less than one update every 30 seconds. The registered version of the program is required.

Text Font Size

Allows you to control the font size for the text displays. Useful if you normally use large fonts, but want to see the maximum information in WXtrack.

Units

Allws you to set whether Metric or US units are used. The default is the Windows Control Panel measurement value. In the registered version of WXtrack, you can change the default. The ISS panel honours the units setting.

Update rate

You can choose how frequently the World Map display is updated, from once per minute down to once per second. If you are running on a slow machine (say less than a Pentium 90) you may wish to use a rate of one update per ten seconds or less.

Show Options

Because of the large number of user show options, these are now in a separate sub-menu.

Cartography

Controls whether country, lake and certain river boundaries are added to the map background display. Requires the Countries.dat file to be present in the WXtrack folder.

Cursor Location pop-up

Controls whether (in the registered version) a small box appears as the mouse is moved, giving the location of the mouse in the map image, distance to nearest main town etc.

Footprint

WXtrack can calculate the approximate radio footprints of each satellite. This is calculated in a fairly simple way, and will not be as accurate as the other calculations within WXtrack, but it be adequate for most purposes. As the calculations will consume a little CPU time, and as the map can become confused with too many footprints shown, there is control of the number of footprints that are displayed, including whether or not to supress geostationary satellite footprints:

  • None - no footprints shown
  • Selected - show footprint for the selected satellite
  • All (except geostationary) - show footprint for all satellites except geostationary satellites
  • All - show footprints for all satellites

The Selected satellite footprint is shown in the same dark blue colour as the selected satellite itself.

The rest of the satellite footprints are shown in a light grey colour so as not to create too much confusion on the map.

Ground track

This option allows you to see the ground track of the selected satellite. You can choose to show the track for orbits forward or backward from the present position. The display will only be updated infrequently, as it is computationally intensive. You can tell from this display when the satellite is eclipsed, i.e. in the shadow of the earth and hidden from direct sunlight. The satellite itself will also have a yellow mark when it is sunlit. During the parts of the orbit where the satellite is in the sun, the ground track line will be drawn in your chosen colour, the eclipsed parts of the orbit will be drawn in a complementary colour, and the historical data for the previous pass will be shown in grey.

My location

Enables the placement of a small marker at your current location. Useful for the whole world (Plate Caree) map where you may be switching locations to follow the space station, for example, or if you don't live near an easily identified geographical feature. You can choose from a variety of symbols, and set the colour with the Line styles... menu.

Night time shading

Enables the darkening of regions that are in night time, to show the progress of the terminator. You can choose none, weak, medium, strong, strong with line or intense with line according to your preference. Just as with a real sunrise or sunset, the terminator is not a sharp line, but a gradual change from night to day. To minimise CPU usage, the shading is only recomputed when the image has moved by about 1.5 pixels (or when the map itself, or the time, has changed).

Overlay

When this option is checked, country and state boundaries will be added to pictures created on the Ground Path tab, and a longitude & latitude grid will be added to the sea areas. Note: that this menu item will only be visible if the file Overlay.bmp is present and has been sucessfully opened.

Pass box

If you want even more detailed prediction of the ground coverage while the satellite is visible to you, you could enable the Pass Box option for either Weather satellites or All satellites. This causes the program to compute the approximate bounding box of the ground picture when the primary satellite transitions into AOS. This will be displayed in the same line style as the primary satellite footprint. You will only see this displayed if you are using one of the Azimuthal Equidistant projections.

Past Position Markers

When this option is checked (the default), a small symbol will be drawn marking the position of the satellites at one minute intervals before the present position. If you are plotting the position of a "train" of synchronised satellites, this can be a hindrance so this option is provided to hide the past-position markers.

Radio Horizon

This option shows you how far away you can expect to hear a particular satellite. You can tell WXtrack what the elevation of your horizon is with the file Horizon.dat, a sample version of which is supplied. You must edit this file to match your local horizon. Without this file, an unobstructed horizon is assumed. The result is approximate because it uses a simple calculation based on the satellite's current height, which will not be the same as when the satellite passes over your location. To avoid clutter, this is shown as a dotted light grey circle centred on the location you have entered. As you change the active satellite from the drop-down list, you will see the radio horizon change to match the new satellite's height. You can choose whether or not to display the radio horizon.

If you use multiple locations, then you can also have multiple horizon profiles which will be loaded according to the name of the location. Thus if your location is Edinburgh, the file EdinburghHorizon.dat would be read in preference to Horizon.dat. All horizon profiles are assumed to reside in the same folder as the file WXtrack.exe.

Scanner line

You can choose whether the ground path of a single scan line is displayed. You can imagine the scan as a brush or broom sweeping across the earth, along the track of the satellite but at right-angles to the path. The Scanner line shows what the satellite (if it were a weather satellite) would be seeing at one instant in time, and allows you to judge the coverage of the satllite

Sun or Moon

Allows you to control whether or not the Sun and Moon symbols are displayed, and whether the moon overlays the sun on the display.

ISS / Shuttle...

The ISS / Shuttle dialog allows you to set several options which are handy for monitoring the International Space Station and associated Shuttle missions, geostationary satellite footprints and multiple ground stations. This facility relies on recognising the satellite name as starting "STS-" or the catalogue number of Zarya module, 25544 so be sure you have one or the other in your Keplers! The options dialog is divided into three sections.

Ground Stations tab

  • There are a number of ground stations used for ISS communications. You can view the radio horizon of selected ground stations by checking them in the list box. This will be useful to judge when a communications pass will be possible, and with which ground station. Initially, three US and four Russian ground stations are displayed. Be sure to set the Options, Line style... for Horizon to a line that is visible!
  • You can add to the ground stations displayed in ISS mode by supplying a file named: IssGroundStations.dat. A sample of this file, including the data format required, is supplied with the program.

TDRS rename & display tab

There are two selectable functions on this tab - to rename the names with which TDRS satellites are displayed, and to hide certain satellite names.

  • The TDRS satellites may be named TDRS 10 in your Kepler data, but that would be shown on the display at Mission Control as T046W. The list in the box allows you to rename for display, and each entry takes the form of Kepler-name=Display-name. Satellites which are renamed in this way will have their label displayed immediately below the satellite rather than to one side. Use Kepler-name=- (a single minus sign) to supress diaplay of the name altogether.
  • Names which are "well-known", and where the satellite can be adequately represented by an icon rather than a name, can have their names omitted from the display. Checking the Hide ISS names button hides names which include the text ISS, PROGRESS, SOYUZ or STS.
  • You can choose to use internally-defined colours for the TDRSS footprints.

Other tab

  • Show Mission Elapsed Time (MET). If you use the data file TLEnotes.txt, one of the options is to add the launch date and time information for a satellite or shuttle. See the file itself for a description of the date/time format. If you also check the option to display MET, the MET will be shown on the second panel of the status bar.
  • You can choose to view the footprint of geostationary satellites from the same altitude as the ISS. Because the ISS is located above the earth, it can sometimes see geostationary satellites when a ground station located directly below the ISS cannot. This makes the radio footprint of the geostationary satellite cover more that one hemisphere of the earth, and thus the footprint will appear as a shadow area on that hemisphere of the earth opposite the satellite. This takes a little thinking to get used to!
  • You can enable a special ISS display box, to resemble that used at Mission Control. You can position this "blackboard" either left or right (or invisible), and you can choose what the text font and colour should be.
  • You can choose a one-column or two-column blackboard display, and set the fonts for that display.
  • You can select whether to have the equator line drawn in red or the default chosen grid line colour.
  • You can add a display of the GMT time, and choose its colour and the latitude (i.e. vertical position) at which it should be displayed.

If you like to see the altitude in miles, then hover your mouse over the "Alt:" display, and the altitude will be shown as the hint text.

Play Sounds

Allows you to switch sounds on or off - e.g for late night operation!

To activate the sounds, use the Start button, Settings, Control Panel, Sounds and Multimedia (for Windows 2000, similar in other OSes). On the Sounds tab, you will see a list box of Sounds events. From this list, choose the WXtrack program, and click on the event you want to have a sound played for, e.g. AOS -1min. You can then choose either one of the built-in Windows sounds, or browse your disk for something appropriate. Sounds are not supplied with WXtrack because of the download size, but there are a couple of sources on the Web. Thanks to these folk for making their sounds available.

  • Wave sounds from Milan Konecny - http://www3.sympatico.ca/konecny/golden/sounds.zip
  • Wave sounds from Craig Orban - http://www.accesscomm.ca/users/monitoringpost/tips.htm

To hear the sounds, ensure that the Play Sounds option is checked.

Early AOS warning

Brings forward the AOS announcement to about 15 minutes before AOS - the 3 minute warning sound is played if enabled.

Text Overlay...

Allows you to set the items which will be stored in the overlay text file. Check each item you wish stored. This will control what text eventually appears on the SatSignal processed image when automatic overlay processing is used.

What to Save...

Leads to a dialog allowing you to choose what items are saved when a pass is predicted using the Ground Path tab. You can also choose the image quality for the predicted ground image as saving in either JPG (smaller file) or BMP (better quality).

Kepler options

Automatic Kepler reload at...

Will cause WXtrack to reload the Kepler data files at the time stated. You should ensure that the Kepler data is kept up to date by whatever means you choose. For example, you could schedule my Kepler Manager program to run at 0200 UTC and WXtrack to update its Keplers at 0400 UTC. Please note that times are in UTC, and not local times. The registered version of the program is required for this function.

Update Keplers...

This will call the Internet Update dialog, to allow you to choose which files are to be updated, and to give your permission for the update to proceed. To use this option, it is best to use Kepler data from the CelesTrak Web site. Alternatively, you can use data from the Space-Track Web site and use a program such as my Kepler Manager to download the data on a regular basis. Then just use the Reload Only button to make WXtrack read the new data files.


Radar Plot

The Radar Plot has three tabs, each showing satellites' azimuth and elevation as viewed from your location. You can choose the date and time for the plot, for historical searches.

Main Tab

The main tab shows the polar orbiting satellites that are currently visible from your location. The satellite's previous track is shown as a "tail" so that you can judge the direction of motion. You can choose to hide or display the satellite names, and the different satellites will be shown in different colours to help you distinguish them.

Geostationary Tab

The geostationary tab shows the geostationary satellites visible from your location. If you do not have any geostationary satellites in your active list, no satellites will be displayed. Again, you can shoose to hide or display the satellite names.

GPS Tab

The GPS tab shows the GPS satellite visible at your location. Please note that you must have an up-to-date copy of the Kepler file gps-ops.txt from the Celestrak Web site. This is the full URL: http://www.celestrak.com/NORAD/elements/gps-ops.txt The GPS satellite numbers are shown.


Solar Outage

Technical information from Arne van Belle

Twice a year, in the spring and the fall the sun passes across the equator directly behind each geo-stationary satellite in the Clark belt. For EUMETCast, for example, when the main beam of our EUTELSAT-10A dish is in direct line of sight with the sun, a sun outage occurs. The LNB is bombarded by the sun's RF radiation focussed by the dish. This causes a drastic deterioration of the receive C/N (carrier to noise ratio). Basically, the satellite signal is overwhelmed by the unwanted signal from the sun; the signal from the sun is what we call noise. This phenomenon is also known as Sun transit or Solar Interference. Solar outages only affect downlinks (receivers), not uplinks (transmitters). They also occur in cloudy weather, as the RF radiated by the sun is only dampened slightly by clouds.

A solar outage will effectively cause about 10 minutes loss of signal from that satellite. On the days before and after when the sun is directly aligned with that satellite there will be less outage. The actual days and times depend on your latitude and longitude, longitudinal position of the satellite, diameter of the dish and the received frequency. The larger the dish diameter and higher the frequency, the shorter time and the fewer days sun outages last.

Can it damage my system?

Modern LNBs can handle the high levels of RF noise (using moderate sized dishes). But during a solar outage all visible sunrays will be focused on your LNB. Normally an LNB can cope with this, but in exceptional cases (a wet, shiny dish surface and bright, sunny weather), the plastic cap covering your LNB can burst!

Can I prevent this?

You cannot block the RF noise from the sun without blocking the signal from the satellite, so everyone will experience loss of signal during a solar outage. But you can block the visible sun-rays by putting a non-transparent plastic bag over the LNB or dish without blocking the satellite's signal. Alternatively you could swing the dish out of position during a sun outage to prevent damage to the LNB.

When will I be affected?

To calculate the date and time of solar outages you need to know your latitude and longitude, the longitudinal position of the satellite, the receive frequency and the diameter of your dish. Go to View, Solar outage… Check the default values already entered, and then go to the "Outage List" tab.

Example: for Edinburgh in Scotland, with a 125 cm dish, solar outages in 2015 for EUTELSAT 10A are predicted for Februrary 24 to March 03, between 11:25 and 11:30 UTC with a peak outage on Feb 27 and 28.

For a full explanation look at: http://www.geo-orbit.org/sizepgs/Noise.html

Arne van Belle

Co-ordinator Radio Observers

Werkgroep Kunstmanen

N51.774 E4.612


Tools menu

The tools menu allows you to quickly other related programs. At present, the Kepler Manager and SatBatch are available.

Google Earth

For registered users: WXtrack can send the sub-satellite earth location of the current satellite to Google Earth, to drive the map display on a regularly updated basis. This is intended as a fun mode of operation! It requires that the KML file extension be associated with Google Earth, and that the Web server port 8008 is free on your PC. Please note that there may be up to a ten second delay in response to changes in settings. The view is updated as fast as you have the Options, Google Earth... update rate set.

The options menu allows control of camera height and the view update interval.

ISS Weather

Opens a page in your Web browser showing the weather in real-time at a number of ISS and Space Shuttle related locations.


Tracker Menu

There are two items on the Tracker menu, Tracker Test... and Tracker Options....

Tracker test...

Allows you to point the antenna at a specific object, including the Sun, Moon, Jupiter and Saturn e.g. for tracker alignment or receiver noise checking. Note that actual location sent to the tracker is visible as a pop-up hint on the nominal location. You will find this useful for debugging and tracker offsets you program.

A quick way to point at an object is to double-click it. Be aware that this actually opens the tracker, points the antenna, and then closes the tracker for each click on the button.

This dialog allows you to track an object by automatically repeating the "point" function. Check the Point every checkbox and set the repeat interval you want.

In the registered version of the program, there are options that help you set up a rotor and antenna. A new tabbed dialog appears with three options:

  • Offset allows you to alter the values sent to the tracker by small offsets, and these are the values that you would want to permanently record in the tracker options dialog.
  • Position allows you to point the antenna at specific azimuth and elevation values, checking north, south etc.
  • RA/Dec allows pointing at a specific point on the Celestial Sphere.
  • Clarke Belt enables antenna position to be calculated for any geostationary satellite just by knowing its orbital slot, and allows you to point the antenna if you wish.

Chris Cadogan describes using this facility:

"You will have calibrated your tracker so that, for example, South is directly opposite North, 90 degrees elevation is exactly half way between opposite horizons and that North plus 360 degrees is the same place. After that, what remains is a fixed and hopefully small Alt Az pointing error. The 3 dB beamwidth of a 90 cm dish at 1700 MHz is about ten degrees, so you are aiming for a pointing accuracy of roughly one degree.

"As a useful starting point the sun is a strong noise source in the sky, and the shadow of a feedhorn on a dish is a reliable sanity check. Don't forget that at lower elevations the ground, trees and buildings can be as bright or brighter at 1700 MHz and can confuse signal readings.

"Point at the sun, use tracker->setup->azimuth-stop North South to select between normal and flipped mode, verify the feedhorn shadow falls on the dish centre point in both cases.

"Use the 'zero' checkbox to sweep the antenna back and forth between a zero and a chosen d.Az d.El offset to judge where the signal peaks. You'll see smaller peaks from the antenna side lobes. (To make this easier, you can now use the Z and X keys to zero and allow the offset, while you monitor the signal).

"By transferring the d.Az d.El offset setting that gives you the strongest signal to tracker->setup->general->antenna-offset you can iteratively refine the antenna pointing accuracy, working with smaller and smaller offsets from the offset.

"Finally, verify that sweeping from zero to a large offset makes the signal fall away smoothly. This is a useful check to do on a moving satellite."

Options...

Controls the tracker options


View Menu

Ephemeris...

This produces the same pass-list box that can be accessed from the File, Print pass list... menu.

GPS Prediction...

Shows how many GPS satellites are above a selected elevation versus time of day. Allows you to choose a time when more satellites are visible allowing greater accuracy. From version 3.8.4 you can use predict either GPS satellites, or satellites of your choice, extending the function's utility.

Moonrise and Moonset...

Provides a year's prediction of moonrise and moonset.

Mutual visibility...

Displays a form where passes that are visible both from your Home location and a remote ground station may be predicted. This allows you, for example, to predict what ISS passes can be seen both from your home and a Russian ground station, so you know when to listen for the downlink!

Optically visible passes...

Allows you to predict passes which are visible from your home location, where the satellite is in sunlight and it is twilight or nighttime in your location. These passes are the ones that you may be able to see with the naked eye.

Radar plot...

Allows you to plot the azimuth and elevation for one or more satellites from your location. More details.

Satellite orbit (Kepler) data...

This provides a basic check on which satellite data is being used, and will be of use should you have multiple copies of satellite data and wish to check that the most recent data is being used. WXtrack will normally choose the data with the most recent epoch. Clicking on the column headers will allow you to sort the list as you wish; to display older keplers first, for example.

On the form displayed you can set how old the satellite data must be before WXtrack considers it is stale data, and complains when you start the program. You can also make WXtrack completely ignore data over a certain age, specified in months. This data will be removed from the list of available satellites. The defaults are: polar data stale after: 30 days, geostationary data stale after: 65 days, skip Kepler data more than 12 months old.

To minimise the clutter on the display, only those satellites in your Active list will have their details initially displayed. Check the Show all Kepler data check box to see all the satellites.

In the registered version of the program, you can save or print the displayed data.

Solar noon...

This allows you to see when the sun will be due south (or due north) at your location. This is a new and rather experimental function added in V3.8.4.

Solar Outage...

In the registered version of the program, you can show when a geostationary satellite will be co-linear with the sun, and receiver outages can be expected. Arne van Belle has kindly supplied this information.

Sunrise and Sunset...

Provides a year's prediction of sunrise and sunset.

TBUS bulletin decode...

This allows you to decode parts of the TBUS bulletins which are available for the NOAA series of satellites. The contain some orbit and other information.


City.txt

If the file City.txt is present in the same folder as WXtrack.exe, the city data built into the program will be supplemented by the city data in this file. The file is in plain text format and can be edited should you wish. This will give you more choices of location on the Setup tab.

Sample data

Copenaghen5545N1230E

Helsinki6015N2503E

Bordeaux4450N0036O

Data format

One line per city, separated by one or more blank lines:

<city name><northing><easting>

<northing> format is: <degrees><minutes><N or S>

<easting> format is: <degrees><minutes><E or W or O>

("O" is a more natural abbreviation for West in some languages)


Country & State boundary data

Why would I want this data?

Adding the Country & State boundary data allows boundaries to be drawn on the generated ground path image and, more importantly, allows the creation of overlay bitmaps which you can subsequently use to add grid lines and country boundaries to satellite images, allowing much easier interpretation when cloud is present.

Where do I obtain this data?

Because this data is static, and quite large, it is not included in the main download archive. You can download a 426KB zip file containing the data from www.satsignal.eu --> Satellite Tools, WXtrack, Downloads. After downloading, extract the file Countries.dat from the Zip archive to the folder containing WXtrack.exe. You should not need to download the data more than once.

How does WXtrack use this data?

WXtrack uses this data in two ways, to create country boundaries on a background picture (in certain modes) if you request this, and indirectly in the generation of overlays. You can control how overlay maps are presented by downloading a program Make Overlay from www.satsignal.eu --> Mapping Tools which will allow you to make a master overlay background 30MB file called Overlay.bmp in the executable folder. You can edit this image if you wish, but note that the palette indices must be preserved for subsequent use with SatSignal. If you don't wish to generate the data, fortunately it compresses down into about 0.5MB and can be downloaded from the WXtrack Web page --> Satellite Tools, WXtrack, Downloads.

If the Save Pass Details option is checked, each time a ground map is generated a new overlay bitmap named according the standard file naming conventions will be generated and saved in the executable folder. Each overlay bitmap will occupy some 2MB of disk space. It is your responsibility to clear out these files occasionally.

My PC says it doesn't have enough memory to generate Overlay.bmp

Generating the large bitmap requires more memory than using the bitmap, as all of the bitmap needs to be in memory at once. On PCs with very limited memory (less than the 32MB recommended for WXtrack) the generation process may therefore take many minutes. Alternatively, you can download the ready-built bitmap from the Web, where the 31MB bitmap has compressed nicely into a 404KB zip file. You can download the zip file from my Web site at: www.satsignal.eu --> Satellite Tools, WXtrack, Downloads.

Why did you use a large bitmap saved on disk?

It would have been possible to generate the overlay bitmap every time the program is run - it would only add a few seconds to the launch time - at least on those PCs with adequate memory. However, holding the bitmap in memory would take up 30MB of memory allocation, which could impact either WXtrack or other programs in use at the same time. By using a disk bitmap, together with Windows system functions that allow a file to be mapped into memory, the very minimum physical memory is used by the overlay bitmap, and all the access is handled directly by the operating system so it is fast and efficient. Using a run-length coded format would have been more efficient on storage, but is not supported for writing by Delphi and would require more CPU at run time.

The file attributes are set to read-only to make deleting the file a little more difficult, but the program will run quite happily without the file. It will automatically try and recreate the file if it does not exist.

How is the overlay data saved?

The overlay data is saved in a standard Windows bitmap (.BMP) file allowing its use in either an image processing program or with SatSignal. The overlay image must in 256-colour format. The palette in the overlay image is assumed to be a standard Windows palette and the following palette index values are used:

0 - black (timing marker)

2 - dark green (land)

4 - dark blue (sea)

12 - mid grey (timing marker)

19 - white (timing marker)

13 - red (grid lines)

15 - yellow (country or state border)

18 - cyan (graphic overlay)

Disclaimer

I obtained this data a little while ago. It is intended purely to aid the interpretation of satellite images, and there is no intention to make any political statement or cause offence by any information contained in this data. I do not vouch for its accuracy. Please accept this data in the spirit which it is offered.


TLEnotes.txt

The file TLEnotes.txt should live in the same folder as the Kepler data. It is an optional file. The format of the data in TLEnotes.txt is documented within the file itself, but for completeness, the information is repeated here. For the latest frequency and launch information, you can get an updated version of this file from David Bate's Web site at: http://www.scannerdesk.com/scannerdesk/files/tlenotes.zip or from Craig Orban's Web site at:

http://www.accesscomm.ca/users/monitoringpost/software.htm

From version V3.8.6 onwards, the program will accept multiple TLEnotes.txt files. Files matching TLEnotes*.txt are read. This enables you to have your own additions to the standard file without any need to edit.

; You can have as many or as few entries as you like in this optional

; file.  Entries are pairs of lines, with a descriptive name followed

; by a data line.  All lines have an optional comment field, which is

; separated by a semi-colon ";".

;

; The descriptive name is just to help you identify the satellites.

;

; There are five fields in the data line:

;

;   1 - Catalog number, mandatory

;   2 - Frequency in MHz, mandatory, must use "." as separator

;   3 - ERP in dBm, must start with "+" or "-", optional

;   4 - Launch date and time

;   5 - Channel descriptor, used as next pass hint

;

;   Note that if field 3 is absent, and field 5 starts "+" or "-",

;   field 5 will be read as the ERP.

;

;   Note: the launch date format is YYYY/MM/DD@HH:MM:SS

;   i.e. in words:       year/month/day@hours:minutes:seconds

;

;   There is no requirement to have a descriptive name, so in the full

;   data that follows, it is omitted.

;Descriptive name (ignored)

;Cat.Number  Frequency MHz  [ERP]  [LD=(see above)]  [channel descriptor]   ; user comment

;ISS (ZARYA)

;25544  145.80  LD=1998/11/20@06:40  primary downlink; Amateur radio

; The list below is from David R Bate - many thanks!

;Last Updated 2001/08/05

;

;Some satellite frequencies listed my not be operating anymore

;or they may be in a standby mode where they maybe on/off

;conditions.  Also some are left for historical reasons as well

;

;Cat.Number Frequency MHz [ERP] LD=YYYY/MM/DD@HH:MM:SS [channel descriptor] ; user comment

99105 000.0000 LD=2001/08/09@21:38:00 ;STS-105

26873 000.0000 LD=2001/08/31@08:00:00 ;Coronas-F

26871 000.0000 LD=2001/07/23@07:23:00 ;GOES 12

26818 000.0000 LD=2001/06/08@15:08:42 ;KOSMOS-2378/PARUS

26773 166.1250 LD=2001/05/20@22:32:40 ;Progress M1-6


Internet Update

WXtrack has the ability to update your Keplers over the Internet ready for the next run of the program. WXtrack will never call up the Internet without asking your permission. The list of files to update is obtained from the path you specified on the Setup tab. There are four components to the Internet Update dialog box:

  • a check list box of files to update.
  • an Edit box with the base URL from which the files will be obtained. Either HTTP or FTP can be used.
  • an optional command that can be run after an update (e.g. batch file to copy new Keplers).
  • an Update button to start the update.

Once the update has started, the name of the file being updated and a progress box reflecting the progress through the list of files will be visible. If you do not wish to update, press the Cancel button. You can alter the base URL should you wish, and your changes will be saved between runs of WXtrack.

Alternatively, you can reload the Keplers from file by pressing the Reload Only button, if you have an alterntive way of keeping the files up to date.

The new Keplers will be used without restarting WXtrack. A brief report will be displayed after both successful updates, and if any files are missing from the Web server (i.e files you may maintain yourself).

Filenames during the update

WXtrack can use the file extensions .2LI or .TLE for files containing the two-line orbital data. However, on the Web site these files are named .txt. The way that WXtrack handles this is to assume that every file in use named .2LI or .TLE has a corresponding .txt file on the server. When the file is updated, the contents of the server's .txt file will replace the .2LI or .TLE file.

Failed transfers

There are two simple sanity checks on the files that have been brought back from the server. The first is done by scanning down the file and ensuring that every second line (of three) starts "1 ", and every third line (of three) starts "2 ". The second is to check that the number of Keplers contained in each file differ by no more than 2. If the transfer fails for some reason, these sanity checks will fail, and any recovered text from the server will displayed to help you determine what went wrong. Data which fails these checks will not be written to your files.

Required Support File - WinInet.dll

Please note that this feature requires the library WinInet.dll. This library is installed with Microsoft Internet Explorer and many other products. However, if you do not have this library, you will need to update your Kepler elements files manually.

Proxy Limitations

WXtrack cannot currently work with a proxy server that requires a username and password to authenticate the user. Manual update is then required.


Pass Details Format

The pass details are purely intended for use in cojunction with a program I wrote to plot antenna performance. The format may change without notice. At present, the format is a multi-column text file, with the following data:

Line 1 Date, satellite name

Lines 2-N Time as hhmmss.t, satellite azimuth, satellite elevation

The pass will always start at the minute boundary.

Sample pass details file

1999 Oct 26 NOAA 14

042000.0 17.5 0.5

042000.5 17.5 0.5

042001.0 17.5 0.5

042001.5 17.5 0.5

042002.0 17.5 0.6

042002.5 17.5 0.6

042003.0 17.5 0.6

042003.5 17.5 0.6

042004.0 17.5 0.7

042004.5 17.5 0.7


Pass List Format

The Pass List file will be saved as a text file named PassList.txt in the WXtrack Results folder. A sample from the current pass list format is shown below. Note that I regard this format as internal to the program, so I make no guarantee that the format will remain unchanged. In particular it is likely that I will add a four digit year prefix at some point in the future.

The pass list comprises a number of columns of variable width.

1 Time in UTC, may include four digit year prefix and two digit seconds suffix

2 Satellite direction at mid-pass

3 Satellite longitude at mid-pass

4 Pass duration in seconds

5 Satellite name, may include spaces

Sample Pass List

20020110114928 S 36 573 METEOR 2-21

20020110120225 N 30 385 NOAA 12

20020110120526 S 330 601 OKEAN-O

20020110121508 N 41 794 METEOR 3-5

20020110130723 S 348 298 NOAA 15

20020110132336 N 31 584 NOAA 14

Suggestions for coping with differing versions

Look for the first space, to determine the width of the first column. If this is eight characters you have a version prior to 1.6 with no seconds data, or mid-pass longitude.

If the first four characters numerically exceed 1231 (December 31), they are a four digit year.


Radio.ini

This file must live in the same directory as the Kepler data.

# Radio.ini file

#

# Satellites

#

# There can be as many satellites as you like in the file.  Each

# Satellite section must contain the satellite name in brackets

# e.g. [NOAA-12], [AO-40].  Each section can contain an Uplink= and

# a Downlink= entry.  Don't forget the "=" sign!  There should be no

# spaces around the "=" sign.  Each entry can contain a frequency

# and a mode specifier.

#

# Frequencies

#

# Frequencies must be in MHz, do not include the word "MHz"

# Only the first of a pair of fequencies will be used.  So if

#   144-146 is specified, only 144 will be used.

# There must be no spaces in the frequency field

# Either "." or "," is accepted as the decimal separator character

#

# Radio modes

#

# Supported radio modes are: fm-n fm fm-w lsb usb cw cw-n

#

# Sample satellites in this file

#

# Samples here are for two satellites, UO-14 and AO-40

# Sample for UO-14 - just a single frequency

[UO-14]

Uplink=145.975  FM

Downlink=435.070  FM

# Sample for AO-40 - this a small band segment

[AO-40]

Uplink=1268,575-1268,325  LSB

Downlink=2401,225-2401,475  USB


Satellite data

You should update the two-line element orbital data files regularly, perhaps every month, from the Web site: www.celestrak.com/NORAD/elements/ and get the files: resource.txt, stations.txt and weather.txt. Please note that from April 1st 2005 the data on this site may no longer be available. Instead, you should register for the Space-Track web site, use my Kepler Manager program to retrieve your data.

Where does the program look for satellite data?

Unless you tell the program otherwise, it will look for satellite data in the same folder as the program's executable - i.e. the same folder as WXtrack.exe. The program will accept data in either the standard DOS/Windows format with <cr><lf> pairs or UNIX format (those files which don't display properly in Notepad).

What if I want to use data files in an existing folder?

There is an option on the Setup Tab to tell WXtrack where to look for its data. In this way, you need only keep one regularly updated copy of satellite data on disk and use this for a variety of purposes.

What about duplicated data, and what names are accepted?

There appear to be at least two standards for satellite naming. WXtrack accepts any legal satellite name, and recognises the forms NOAA 17 and NOAA-17 etc., and METEOR 3-5 and MET-3/5 as equivalent. When satellites with a duplicate ID are encountered, the one with the most recent Kepler data is used.

There are too many satellites in the Available list

If you find that there are too many satellites in the "Available" list, then you do not need to put all your two-line element files in the same folder. Perhaps you have a batch job that downloads the data every so often - why not include a command in that batch job to copy just the polar weather satellite files in the WXtrack folder?

What is the two-line element data format?

Dr T S Kelso has articles at http://www.celestrak.com/columns/V04n03/ describing the format of the data (I've not checked this URL recently).

What extra data can I add?

The file TLEnotes.txt allows you to enter more data about a particular satellite, such as the frequency and power of its transmitter, launch time and a user comment.

How do I track the Shuttle?

Please see the ISS and Shuttle page.

How do I display the satellite orbit data?

Use the View, Satellite orbit data... menu option.


Signal Level

For the active satellite, the program will try and prodice the signal level at the ground. To do this, it needs to know the power radiated by the satellite (ERP - effective radiated power) expressed in dBm (decibels above 1 milliwatt), and the path loss which depends on the length of the path (i.e. satellite range R km) and the frequency, F MHz. The formula used in WXtrack is a simple one which is reasonably accurate:

path_loss := 92.45 + 20 * log10 (Range * F / 1000)

You can specify the operating frequency and ERP for satellites in which you are interested in the file TLEnotes.txt, which includes an explanation of the data format. If you omit the power level, +33.5dBm is assumed, the value for a typical NOAA APT transmission at 137.5MHz. The results are in dBm, and would need to be modified by the antenna characteristics to obtain the actual signal level at the antenna terminals.


Stale Satellite Orbit Data

WXtrack monitors the age of the individual satellite data as it is read line-by-line from the data files. If duplicate entries are found for a particular satellite, the data with the most recent epoch will be used. General opinion is that this data should be considered stale as far as making accurate predictions is concerned after about two months so, when no parameters have been specified, WXtrack will check the satellite data after any duplicates have been eliminated to ensure that all entries are less than 40 days old. If not, a warning message will be issued. If you are using HRPT, you may conside Keplers more than one week old as stale.

I got the "Satellite Data is Stale" warning message - what should I do?

You should check which data is stale using the View, Satellite data... menu. It may be that:

  • there is an old data file that should have been deleted, or
  • the satellite data folder isn't where you thought it was, or
  • it's been a little while since you downloaded new data.

You have three choices:

  • To ignore the age of the data and continue
  • To update the Keplers over the Internet
  • To use Manual Kepler Update

The program will continue with the existing data once you acknowledge the dialog.

Manual Kepler Update

Using Internet Explorer, this is what you can do:

  • Go to the Celestrak Web site http://www.celestrak.com/NORAD/elements/
  • View the files you want, e.g. noaa.txt, amateur.txt, weather.txt by entering the appropriate URL in the browser. e.g.
  • http://www.celestrak.com/NORAD/elements/noaa.txt
  • Save the files from within the browser
  • Replace noaa.txt etc. in your WXtrack Kepler folder with the ones you saved.

As a check, you can view the files using notepad, as they are just text files. As you gain confidence, you can speed the process by:

  • going to the page: http://www.celestrak.com/NORAD/elements/
  • right-clicking "Weather", "Amateur Radio" etc.
  • choosing the "Save Target As..." from your browser's pop-up menu
  • saving directly to the WXtrack Kepler file location.


World Map Data

WXtrack uses world map data for two purposes - as a background image to the orbit display, and as a source of topographic data where the ETOPO5 database is unavailable. The background image can be in either JPEG or BMP format, but it must have one of the following names. Note that some unzip utilities may not handle these long file names correctly, so if you get no background on the World Map display, check that the files are present in the same folder as WXtrack.exe and are correctly named. The names are listed in the order in which the program attempts to find the files.

UserMap.jpg

SmallUserMap.jpg or LargeUserMap.jpg (if topography data is present)

LargeUserMap.jpg or SmallUserMap.jpg (if topography data is absent)

UserMap.bmp

If the ETOPO5 data is present, it is assumed that the background map is only acting as a decoration, and therefore the small map has priority over the large map, as the large map image takes nearly an extra 4MB of memory.

If the ETOPO5 data is not present, it is assumed that the higher resolution of the large map and its associated memory penalty is acceptable, as the JPEG file will be the only available source of topographic data.

Note that you can always override the two assumptions mentioned above, as the file UserMap.jpg is always the first file that is loaded if present, so simply renaming or copying the large JPG to "UserMap.jpg" will force its use. You can download higher quality background images from the WXtrack Web page if you wish. Click to download the available files:

UserMap.jpg  --> Satellite Tools, WXtrack, Downloads (best quality, with hill shading)

and:

LargeUserMap.jpg  --> Satellite Tools, WXtrack, Downloads (high quality)

You can use any JPEG or BMP image you want as the background, subject to the naming convention described above. Note that as the map projection is cylindrical equidistant (also called Plate Carree) and the area covered is 360 degrees (H) by 180 degrees (V), the map should be twice as wide as it is high. The supplied map is 1800 pixels wide by 900 pixels high. Some Windows 9X systems may be unable to handle bitmaps bigger than the screen width.

Recently, NASA's Earth Observatory have made some very striking cloud-free earth images available as part of their Blue Marble project.

ETOPO5 Data

WXtrack can use the National Geophysical Data Center (NGDC) ETOPO5 5 minute data file for ground path prediction if the file etopo5.elev is present in the same folder as the program executable. This will not affect the World Map display, just the ground path prediction. This data file may be obtained from the Internet, for example:

http://www.ngdc.noaa.gov/mgg/global/relief/ETOPO5/TOPO/ETOPO5/

or:

www.geol.binghamton.edu/faculty/jones/etopo5.zip

Be warned that this zip file is an 11MB download that expands to 18MB when unzipped. But the results _are_ worth it. NGDC can supply the data on CD-ROM (product code 1093-A27-001). I am advised that the price is around $100 or online ordered $75, plus $11 shipping and handling, plus for outside the US a currency charge of $10. The product number is G01093-cdr-A0001 and the e-mail address is pkd@ngdc.noaa.gov, the URL is http://www.ngdc.noaa.gov/mgg/fliers/93mgg01.html.

Why should I download the ETOPO5 data?

The predicted picture quality on the Ground Path and Flight tabs can be substantially enhanced by downloading higher resolution topographic data than that supplied with the program in the *UserMap.jpg files. The backdrop on the World Map tab will not be affected, only the Ground Path and Flight tabs. The highest resolution data supplied with the program is at 12 minute intervals, and is compressed with JPG resulting in artefacts. If the image quality is adequate for you, then you do not need the higher resolution data. However, using the ETOPO5 5 minute data will increase the number of pixels in the predicted image by about 5.6 times, more when you consider that it is not compressed.

Is higher resolution data supported?

No, neither the 2-minute or the 30-second datasets can be read by WXtrack. In any case, their resolution exceeds that of the satellite images.


Menus

There are six main menus: File, Options, View, Tracker, Tools and Help.